Attribute VB_Name = "Module8"
Option Explicit

Public Sub Fetch_auspicious_points_data()
    Dim idx1%, idx2%, apt_num1%, apt_num2%, t$, t1$, t2$, x%, y%
    
    Close #1
    
    If Not FileExists(apt_filename$) Then Exit Sub
    
    Open apt_filename$ For Input As #1

    ReDim mp_data(0 To 9, num_t_deg_to_n_deg% + 1)
    num_auspicious_points% = 1
    
    Do While Not EOF(1)
        Line Input #1, t$
        
        y% = InStr(t$, "/")
        
        If y% > 0 Then
            t1$ = Left$(t$, y% - 1)
            t2$ = Mid$(t$, y% + 1)
            
            'now find the index number for the first planet
            apt_num2% = Right$(t1$, 3)
            
            idx1% = apt_num2%
            
            idx2% = Get_this_planets_index(t2$)
            
            
            If idx1% >= 0 And idx2% > 0 Then
                mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points%) = t1$           'was just t$
                mp_data(1, num_t_deg_to_n_deg% + num_auspicious_points%) = t1$
                mp_data(2, num_t_deg_to_n_deg% + num_auspicious_points%) = t2$
                mp_data(3, num_t_deg_to_n_deg% + num_auspicious_points%) = idx1%      'the actual degree we want to find
                mp_data(4, num_t_deg_to_n_deg% + num_auspicious_points%) = pl_ephem_number(idx2%)
                mp_data(5, num_t_deg_to_n_deg% + num_auspicious_points%) = "ap"
                mp_data(6, num_t_deg_to_n_deg% + num_auspicious_points%) = pl_type$(idx2%)
                mp_data(7, num_t_deg_to_n_deg% + num_auspicious_points%) = idx1%                                    'this could be 0 to 359
                mp_data(8, num_t_deg_to_n_deg% + num_auspicious_points%) = idx2%
                mp_data(9, num_t_deg_to_n_deg% + num_auspicious_points%) = 3                                           '3 denotes auspicious points
                
                num_auspicious_points% = num_auspicious_points% + 1
                ReDim Preserve mp_data(0 To 9, num_t_deg_to_n_deg% + num_auspicious_points%)
                
                'I also have to add this info to the usual arrays for non-midpoint data - so text and grids are correct
                ReDim Preserve planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% - 1)
                ReDim Preserve pl_ephem_number(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% - 1)
                ReDim Preserve pl_idx_number(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% - 1)
                ReDim Preserve pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% - 1)
                ReDim Preserve pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% - 1)
                
                planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% - 1) = mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% - 1)
                pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% - 1) = UCase$(mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% - 1))
                pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% - 1) = "ap"
            End If
        End If
    Loop

    num_auspicious_points% = num_auspicious_points% - 1
    
    Close #1
End Sub


Sub Get_APT_file_filename(load_save%)
    Dim t$

    cancel_flag% = 0

    Finding_Lucky_Times!DLog.CancelError = True
    Finding_Lucky_Times!DLog.DefaultExt = "apt"

    If apt_path$ = "" Then
        Finding_Lucky_Times!DLog.InitDir = App.Path
    Else
        Finding_Lucky_Times!DLog.InitDir = apt_path$
    End If

    Finding_Lucky_Times!DLog.filename = apt_filename$

    Finding_Lucky_Times!DLog.Filter = "Auspicious points Files (*.apt) | *.apt"
    Finding_Lucky_Times!DLog.FilterIndex = 1
    Finding_Lucky_Times!DLog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST

    On Error GoTo PVC33f

    If load_save% = 0 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Load .apt transit to auspicious points file"
        Finding_Lucky_Times!DLog.Action = 1
    Else
        Finding_Lucky_Times!DLog.DialogTitle = "Save .apt transit to auspicious points file"
        Finding_Lucky_Times!DLog.Action = 2
    End If

    apt_filename$ = Finding_Lucky_Times!DLog.filename
    On Error GoTo 0

    t$ = ParseFilenameOnly(apt_filename$)
    apt_path$ = ParsedPathName$

PVC44f:
    Exit Sub

PVC33f:
    If Err = 32755 Then cancel_flag% = 1             'Cancel was selected

    Resume PVC44f
End Sub


