Attribute VB_Name = "MODULE0"
Option Explicit

    Declare Function SetBkMode Lib "gdi32" (ByVal hdc As Long, ByVal nBkMode As Long) As Long
    Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Integer, ByVal lParam As Long) As Long

    Declare Function GetVolumeInformation Lib "kernel32.dll" Alias "GetVolumeInformationA" (ByVal _
      lpRootPathName As String, ByVal lpVolumeNameBuffer As String, ByVal nVolumeNameSize As Integer, _
      lpVolumeSerialNumber As Long, lpMaximumComponentLength As Long, lpFileSystemFlags As Long, ByVal _
      lpFileSystemNameBuffer As String, ByVal nFileSystemNameSize As Long) As Long

    Global Const WM_SETREDRAW = &HB

'
' Swiss Ephemeris Release 1.60  9-jan-2000
'
' Declarations for Visual Basic 5.0
' The DLL file must exist in the same directory as the VB executable, or in a system
' directory where it can be found at runtime
'

Declare Function swe_azalt Lib "swedll32.dll" _
        Alias "_swe_azalt@40" ( _
          ByVal tjd_ut As Double, _
          ByVal calc_flag As Long, _
          ByRef geopos As Double, _
          ByVal atpress As Double, _
          ByVal attemp As Double, _
          ByRef xin As Double, _
          ByRef xaz As Double _
        ) As Long  'geopos must be the first of three array elements
                   'xin must be the first of two array elements
                   'xaz must be the first of three array elements

Declare Function swe_azalt_rev Lib "swedll32.dll" _
        Alias "_swe_azalt_rev@24" ( _
          ByVal tjd_ut As Double, _
          ByVal calc_flag As Long, _
          ByRef geopos As Double, _
          ByRef xin As Double, _
          ByRef xout As Double _
        ) As Long  'geopos must be the first of three array elements
                   'xin must be the first of two array elements
                   'xout must be the first of three array elements

Declare Function swe_calc Lib "swedll32.dll" _
        Alias "_swe_calc@24" ( _
          ByVal tjd As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByRef x As Double, _
          ByVal serr As String _
        ) As Long   ' x must be first of six array elements
                    ' serr must be able to hold 256 bytes

Declare Function swe_calc_d Lib "swedll32.dll" _
        Alias "_swe_calc_d@20" ( _
          ByRef tjd As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByRef x As Double, _
          ByVal serr As String _
        ) As Long       ' x must be first of six array elements
                        ' serr must be able to hold 256 bytes

Declare Function swe_calc_ut Lib "swedll32.dll" _
        Alias "_swe_calc_ut@24" ( _
          ByVal tjd_ut As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByRef x As Double, _
          ByVal serr As String _
        ) As Long   ' x must be first of six array elements
                    ' serr must be able to hold 256 bytes

Declare Function swe_calc_ut_d Lib "swedll32.dll" _
        Alias "_swe_calc_ut_d@20" ( _
          ByRef tjd_ut As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByRef x As Double, _
          ByVal serr As String _
        ) As Long       ' x must be first of six array elements
                        ' serr must be able to hold 256 bytes

Declare Function swe_close Lib "swedll32.dll" _
        Alias "_swe_close@0" ( _
        ) As Long

Declare Function swe_close_d Lib "swedll32.dll" _
        Alias "_swe_close_d@4" ( _
          ByVal ivoid As Long _
        ) As Long       ' argument ivoid is ignored

Declare Sub swe_cotrans Lib "swedll32.dll" _
        Alias "_swe_cotrans@16" ( _
          ByRef xpo As Double, _
          ByRef xpn As Double, _
          ByVal eps As Double _
        )

Declare Function swe_cotrans_d Lib "swedll32.dll" _
        Alias "_swe_cotrans_d@12" ( _
          ByRef xpo As Double, _
          ByRef xpn As Double, _
          ByRef eps As Double _
        ) As Long

Declare Sub swe_cotrans_sp Lib "swedll32.dll" _
        Alias "_swe_cotrans_sp@16" ( _
          ByRef xpo As Double, _
          ByRef xpn As Double, _
          ByVal eps As Double _
        )

Declare Function swe_cotrans_sp_d Lib "swedll32.dll" _
        Alias "_swe_cotrans_sp_d@12" ( _
          ByRef xpo As Double, _
          ByRef xpn As Double, _
          ByRef eps As Double _
        ) As Long

Declare Sub swe_cs2degstr Lib "swedll32.dll" _
        Alias "_swe_cs2degstr@8" ( _
          ByVal t As Long, _
          ByVal s As String _
        )

Declare Function swe_cs2degstr_d Lib "swedll32.dll" _
        Alias "_swe_cs2degstr_d@8" ( _
          ByVal t As Long, _
          ByVal s As String _
        ) As Long

Declare Sub swe_cs2lonlatstr Lib "swedll32.dll" _
        Alias "_swe_cs2lonlatstr@16" ( _
          ByVal t As Long, _
          ByVal pchar As Byte, _
          ByVal mchar As Byte, _
          ByVal s As String _
        )

Declare Function swe_cs2lonlatstr_d Lib "swedll32.dll" _
        Alias "_swe_cs2lonlatstr_d@16" ( _
          ByVal t As Long, _
          ByRef pchar As Byte, _
          ByRef mchar As Byte, _
          ByVal s As String _
        ) As Long

Declare Sub swe_cs2timestr Lib "swedll32.dll" _
        Alias "_swe_cs2timestr@16" ( _
          ByVal t As Long, _
          ByVal sep As Long, _
          ByVal supzero As Long, _
          ByVal s As String _
        )

Declare Function swe_cs2timestr_d Lib "swedll32.dll" _
        Alias "_swe_cs2timestr_d@16" ( _
          ByVal t As Long, _
          ByVal sep As Long, _
          ByVal supzero As Long, _
          ByVal s As String _
        ) As Long

Declare Function swe_csnorm Lib "swedll32.dll" _
        Alias "_swe_csnorm@4" ( _
          ByVal p As Long _
        ) As Long

Declare Function swe_csnorm_d Lib "swedll32.dll" _
        Alias "_swe_csnorm_d@4" ( _
          ByVal p As Long _
        ) As Long

Declare Function swe_csroundsec Lib "swedll32.dll" _
        Alias "_swe_csroundsec@4" ( _
          ByVal p As Long _
        ) As Long

Declare Function swe_csroundsec_d Lib "swedll32.dll" _
        Alias "_swe_csroundsec_d@4" ( _
          ByVal p As Long _
        ) As Long

Declare Function swe_d2l Lib "swedll32.dll" _
        Alias "_swe_d2l@8" ( _
        ) As Long

Declare Function swe_d2l_d Lib "swedll32.dll" _
        Alias "_swe_d2l_d@4" ( _
        ) As Long

Declare Function swe_date_conversion Lib "swedll32.dll" _
        Alias "_swe_date_conversion@28" ( _
          ByVal year As Long, _
          ByVal month As Long, _
          ByVal day As Long, _
          ByVal utime As Double, _
          ByVal cal As Byte, _
          ByRef tjd As Double _
        ) As Long

Declare Function swe_date_conversion_d Lib "swedll32.dll" _
        Alias "_swe_date_conversion_d@24" ( _
          ByVal year As Long, _
          ByVal month As Long, _
          ByVal day As Long, _
          ByRef utime As Double, _
          ByRef cal As Byte, _
          ByRef tjd As Double _
        ) As Long

Declare Function swe_day_of_week Lib "swedll32.dll" _
        Alias "_swe_day_of_week@8" ( _
          ByVal JD As Double _
        ) As Long

Declare Function swe_day_of_week_d Lib "swedll32.dll" _
        Alias "_swe_day_of_week_d@4" ( _
          ByRef JD As Double _
        ) As Long

Declare Function swe_degnorm Lib "swedll32.dll" _
        Alias "_swe_degnorm@8" ( _
          ByVal JD As Double _
        ) As Double

Declare Function swe_degnorm_d Lib "swedll32.dll" _
        Alias "_swe_degnorm_d@4" ( _
          ByRef JD As Double _
        ) As Long

Declare Function swe_deltat Lib "swedll32.dll" _
        Alias "_swe_deltat@8" ( _
          ByVal JD As Double _
        ) As Double

Declare Function swe_deltat_d Lib "swedll32.dll" _
        Alias "_swe_deltat_d@8" ( _
          ByRef JD As Double, _
          ByRef deltat As Double _
        ) As Long

Declare Function swe_difcs2n Lib "swedll32.dll" _
        Alias "_swe_difcs2n@8" ( _
          ByVal p1 As Long, _
          ByVal p2 As Long _
        ) As Long

Declare Function swe_difcs2n_d Lib "swedll32.dll" _
        Alias "_swe_difcs2n_d@8" ( _
          ByVal p1 As Long, _
          ByVal p2 As Long _
        ) As Long

Declare Function swe_difcsn Lib "swedll32.dll" _
        Alias "_swe_difcsn@8" ( _
          ByVal p1 As Long, _
          ByVal p2 As Long _
        ) As Long

Declare Function swe_difcsn_d Lib "swedll32.dll" _
        Alias "_swe_difcsn_d@8" ( _
          ByVal p1 As Long, _
          ByVal p2 As Long _
        ) As Long

Declare Function swe_difdeg2n Lib "swedll32.dll" _
        Alias "_swe_difdeg2n@16" ( _
          ByVal p1 As Double, _
          ByVal p2 As Double _
        ) As Double

Declare Function swe_difdeg2n_d Lib "swedll32.dll" _
        Alias "_swe_difdeg2n_d@12" ( _
          ByRef p1 As Double, _
          ByRef p2 As Double, _
          ByRef diff As Double _
        ) As Long

Declare Function swe_difdegn Lib "swedll32.dll" _
        Alias "_swe_difdegn@16" ( _
          ByVal p1 As Double, _
          ByVal p2 As Double _
        ) As Long

Declare Function swe_difdegn_d Lib "swedll32.dll" _
        Alias "_swe_difdegn_d@12" ( _
          ByRef p1 As Double, _
          ByRef p2 As Double, _
          ByRef diff As Double _
        ) As Long

Declare Function swe_fixstar Lib "swedll32.dll" _
        Alias "_swe_fixstar@24" ( _
          ByVal star As String, _
          ByVal tjd As Double, _
          ByVal iflag As Long, _
          ByRef x As Double, _
          ByVal serr As String _
        ) As Long       ' x must be first of six array elements
                        ' serr must be able to hold 256 bytes
                        ' star must be able to hold 40 bytes

Declare Function swe_fixstar_d Lib "swedll32.dll" _
        Alias "_swe_fixstar_d@20" ( _
          ByVal star As String, _
          ByRef tjd As Double, _
          ByVal iflag As Long, _
          ByRef x As Double, _
          ByVal serr As String _
        ) As Long       ' x must be first of six array elements
                        ' serr must be able to hold 256 bytes
                        ' star must be able to hold 40 bytes

Declare Function swe_fixstar_ut Lib "swedll32.dll" _
        Alias "_swe_fixstar_ut@24" ( _
          ByVal star As String, _
          ByVal tjd_ut As Double, _
          ByVal iflag As Long, _
          ByRef x As Double, _
          ByVal serr As String _
        ) As Long       ' x must be first of six array elements
                        ' serr must be able to hold 256 bytes
                        ' star must be able to hold 40 bytes

Declare Function swe_fixstar_ut_d Lib "swedll32.dll" _
        Alias "_swe_fixstar_ut_d@20" ( _
          ByVal star As String, _
          ByRef tjd_ut As Double, _
          ByVal iflag As Long, _
          ByRef x As Double, _
          ByVal serr As String _
        ) As Long       ' x must be first of six array elements
                        ' serr must be able to hold 256 bytes
                        ' star must be able to hold 40 bytes

Declare Function swe_get_ayanamsa Lib "swedll32.dll" _
        Alias "_swe_get_ayanamsa@8" ( _
          ByVal tjd_et As Double _
        ) As Double

Declare Function swe_get_ayanamsa_d Lib "swedll32.dll" _
        Alias "_swe_get_ayanamsa_d@8" ( _
          ByRef tjd_et As Double, _
          ByRef ayan As Double _
        ) As Long

Declare Function swe_get_ayanamsa_ut Lib "swedll32.dll" _
        Alias "_swe_get_ayanamsa_ut@8" ( _
          ByVal tjd_ut As Double _
        ) As Double

Declare Function swe_get_ayanamsa_ut_d Lib "swedll32.dll" _
        Alias "_swe_get_ayanamsa_ut_d@8" ( _
          ByRef tjd_ut As Double, _
          ByRef ayan As Double _
        ) As Long

Declare Sub swe_get_planet_name Lib "swedll32.dll" _
        Alias "_swe_get_planet_name@8" ( _
          ByVal ipl As Long, _
          ByVal pname As String _
        )

Declare Function swe_get_planet_name_d Lib "swedll32.dll" _
        Alias "_swe_get_planet_name_d@8" ( _
          ByVal ipl As Long, _
          ByVal pname As String _
        ) As Long

Declare Function swe_get_tid_acc Lib "swedll32.dll" _
        Alias "_swe_get_tid_acc@0" ( _
        ) As Double

Declare Function swe_get_tid_acc_d Lib "swedll32.dll" _
        Alias "_swe_get_tid_acc_d@4" ( _
          ByRef x As Double _
        ) As Long

Declare Function swe_houses Lib "swedll32.dll" _
        Alias "_swe_houses@36" ( _
          ByVal tjd_ut As Double, _
          ByVal geolat As Double, _
          ByVal geolon As Double, _
          ByVal ihsy As Long, _
          ByRef hcusps As Double, _
          ByRef ascmc As Double _
        ) As Long       ' hcusps must be first of 13 array elements
                        ' ascmc must be first of 10 array elements

Declare Function swe_houses_d Lib "swedll32.dll" _
        Alias "_swe_houses_d@24" ( _
          ByRef tjd_ut As Double, _
          ByRef geolat As Double, _
          ByRef geolon As Double, _
          ByVal ihsy As Long, _
          ByRef hcusps As Double, _
          ByRef ascmc As Double _
        ) As Long       ' hcusps must be first of 13 array elements
                        ' ascmc must be first of 10 array elements

Declare Function swe_houses_ex Lib "swedll32.dll" _
        Alias "_swe_houses_ex@40" ( _
          ByVal tjd_ut As Double, _
          ByVal iflag As Long, _
          ByVal geolat As Double, _
          ByVal geolon As Double, _
          ByVal ihsy As Long, _
          ByRef hcusps As Double, _
          ByRef ascmc As Double _
        ) As Long       ' hcusps must be first of 13 array elements
                        ' ascmc must be first of 10 array elements

Declare Function swe_houses_ex_d Lib "swedll32.dll" _
        Alias "_swe_houses_ex_d@28" ( _
          ByRef tjd_ut As Double, _
          ByVal iflag As Long, _
          ByRef geolat As Double, _
          ByRef geolon As Double, _
          ByVal ihsy As Long, _
          ByRef hcusps As Double, _
          ByRef ascmc As Double _
        ) As Long       ' hcusps must be first of 13 array elements
                        ' ascmc must be first of 10 array elements

Declare Function swe_houses_armc Lib "swedll32.dll" _
        Alias "_swe_houses_armc@36" ( _
          ByVal armc As Double, _
          ByVal geolat As Double, _
          ByVal eps As Double, _
          ByVal ihsy As Long, _
          ByRef hcusps As Double, _
          ByRef ascmc As Double _
        ) As Long       ' hcusps must be first of 13 array elements
                        ' ascmc must be first of 10 array elements

Declare Function swe_houses_armc_d Lib "swedll32.dll" _
        Alias "_swe_houses_armc_d@24" ( _
          ByRef armc As Double, _
          ByRef geolat As Double, _
          ByRef eps As Double, _
          ByVal ihsy As Long, _
          ByRef hcusps As Double, _
          ByRef ascmc As Double _
        ) As Long       ' hcusps must be first of 13 array elements
                        ' ascmc must be first of 10 array elements

Declare Function swe_house_pos Lib "swedll32.dll" _
        Alias "_swe_house_pos@36" ( _
          ByVal armc As Double, _
          ByVal geolat As Double, _
          ByVal eps As Double, _
          ByVal ihsy As Long, _
          ByRef xpin As Double, _
          ByVal serr As String _
        ) As Double
                        ' xpin must be first of 2 array elements

Declare Function swe_house_pos_d Lib "swedll32.dll" _
        Alias "_swe_house_pos_d@28" ( _
          ByRef armc As Double, _
          ByRef geolat As Double, _
          ByRef eps As Double, _
          ByVal ihsy As Long, _
          ByRef xpin As Double, _
          ByRef hpos As Double, _
          ByVal serr As String _
        ) As Long
                        ' xpin must be first of 2 array elements

Declare Function swe_julday Lib "swedll32.dll" _
        Alias "_swe_julday@24" ( _
          ByVal year As Long, _
          ByVal month As Long, _
          ByVal day As Long, _
          ByVal hour As Double, _
          ByVal gregflg As Long _
        ) As Double

Declare Function swe_julday_d Lib "swedll32.dll" _
        Alias "_swe_julday_d@24" ( _
          ByVal year As Long, _
          ByVal month As Long, _
          ByVal day As Long, _
          ByRef hour As Double, _
          ByVal gregflg As Long, _
          ByRef tjd As Double _
        ) As Long

Declare Function swe_lun_eclipse_how Lib "swedll32.dll" _
        Alias "_swe_lun_eclipse_how@24" ( _
          ByVal tjd_ut As Double, _
          ByVal ifl As Long, _
          ByRef geopos As Double, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_lun_eclipse_how_d Lib "swedll32.dll" _
        Alias "_swe_lun_eclipse_how_d@20" ( _
          ByRef tjd_ut As Double, _
          ByVal ifl As Long, _
          ByRef geopos As Double, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_lun_eclipse_when Lib "swedll32.dll" _
        Alias "_swe_lun_eclipse_when@28" ( _
          ByVal tjd_start As Double, _
          ByVal ifl As Long, _
          ByVal ifltype As Long, _
          ByRef tret As Double, _
          ByVal backward As Long, _
          ByVal serr As String _
        ) As Long

Declare Function swe_lun_eclipse_when_d Lib "swedll32.dll" _
        Alias "_swe_lun_eclipse_when_d@24" ( _
          ByRef tjd_start As Double, _
          ByVal ifl As Long, _
          ByVal ifltype As Long, _
          ByRef tret As Double, _
          ByVal backward As Long, _
          ByVal serr As String _
        ) As Long

Declare Function swe_nod_aps Lib "swedll32.dll" _
        Alias "_swe_nod_aps@40" ( _
          ByVal tjd_et As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByVal method As Long, _
          ByRef xnasc As Double, _
          ByRef xndsc As Double, _
          ByRef xperi As Double, _
          ByRef xaphe As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_nod_aps_ut Lib "swedll32.dll" _
        Alias "_swe_nod_aps_ut@40" ( _
          ByVal tjd_ut As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByVal method As Long, _
          ByRef xnasc As Double, _
          ByRef xndsc As Double, _
          ByRef xperi As Double, _
          ByRef xaphe As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_pheno Lib "swedll32.dll" _
        Alias "_swe_pheno@24" ( _
          ByVal tjd As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_pheno_ut Lib "swedll32.dll" _
        Alias "_swe_pheno_ut@24" ( _
          ByVal tjd As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_pheno_d Lib "swedll32.dll" _
        Alias "_swe_pheno_d@20" ( _
          ByRef tjd As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_pheno_ut_d Lib "swedll32.dll" _
        Alias "_swe_pheno_ut_d@20" ( _
          ByRef tjd As Double, _
          ByVal ipl As Long, _
          ByVal iflag As Long, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_refrac Lib "swedll32.dll" _
        Alias "_swe_refrac@28" ( _
          ByVal inalt As Double, _
          ByVal atpress As Double, _
          ByVal attemp As Double, _
          ByVal calc_flag As Long _
        ) As Double

Declare Sub swe_revjul Lib "swedll32.dll" _
        Alias "_swe_revjul@28" ( _
          ByVal tjd As Double, _
          ByVal gregflg As Long, _
          ByRef year As Long, _
          ByRef month As Long, _
          ByRef day As Long, _
          ByRef hour As Double _
        )

Declare Function swe_revjul_d Lib "swedll32.dll" _
        Alias "_swe_revjul_d@24" ( _
          ByRef tjd As Double, _
          ByVal gregflg As Long, _
          ByRef year As Long, _
          ByRef month As Long, _
          ByRef day As Long, _
          ByRef hour As Double _
        ) As Long

Declare Function swe_rise_trans Lib "swedll32.dll" _
        Alias "_swe_rise_trans@52" ( _
          ByVal tjd_ut As Double, _
          ByVal ipl As Long, _
          ByVal starname As String, _
          ByVal epheflag As Long, _
          ByVal rsmi As Long, _
          ByRef geopos As Double, _
          ByVal atpress As Double, _
          ByVal attemp As Double, _
          ByRef tret As Double, _
          ByVal serr As String _
        ) As Long

Declare Sub swe_set_ephe_path Lib "swedll32.dll" _
        Alias "_swe_set_ephe_path@4" ( _
          ByVal Path As String _
        )

Declare Function swe_set_ephe_path_d Lib "swedll32.dll" _
        Alias "_swe_set_ephe_path_d@4" ( _
          ByVal Path As String _
        ) As Long

Declare Sub swe_set_jpl_file Lib "swedll32.dll" _
        Alias "_swe_set_jpl_file@4" ( _
          ByVal file As String _
        )

Declare Function swe_set_jpl_file_d Lib "swedll32.dll" _
        Alias "_swe_set_jpl_file_d@4" ( _
          ByVal file As String _
        ) As Long

Declare Function swe_set_sid_mode Lib "swedll32.dll" _
        Alias "_swe_set_sid_mode@20" ( _
          ByVal sid_mode As Long, _
          ByVal t0 As Double, _
          ByVal ayan_t0 As Double _
        ) As Long

Declare Function swe_set_sid_mode_d Lib "swedll32.dll" _
        Alias "_swe_sid_mode_d@12" ( _
          ByVal sid_mode As Long, _
          ByRef t0 As Double, _
          ByRef ayan_t0 As Double _
        ) As Long

Declare Function swe_set_topo Lib "swedll32.dll" _
        Alias "_swe_set_topo@24" ( _
          ByVal geolon As Double, _
          ByVal geolat As Double, _
          ByVal altitude As Double _
        )

Declare Function swe_set_topo_d Lib "swedll32.dll" _
        Alias "_swe_set_topo_d@12" ( _
          ByRef geolon As Double, _
          ByRef geolat As Double, _
          ByRef altitude As Double _
        )

Declare Sub swe_set_tid_acc Lib "swedll32.dll" _
        Alias "_swe_set_tid_acc@8" ( _
          ByVal x As Double _
        )

Declare Function swe_set_tid_acc_d Lib "swedll32.dll" _
        Alias "_swe_set_tid_acc_d@4" ( _
          ByRef x As Double _
        ) As Long

Declare Function swe_sidtime0 Lib "swedll32.dll" _
        Alias "_swe_sidtime0@24" ( _
          ByVal tjd_ut As Double, _
          ByVal ecl As Double, _
          ByVal nut As Double _
        ) As Double

Declare Function swe_sidtime0_d Lib "swedll32.dll" _
        Alias "_swe_sidtime0_d@16" ( _
          ByRef tjd_ut As Double, _
          ByRef ecl As Double, _
          ByRef nut As Double, _
          ByRef sidt As Double _
        ) As Long

Declare Function swe_sidtime Lib "swedll32.dll" _
        Alias "_swe_sidtime@8" ( _
          ByVal tjd_ut As Double _
        ) As Double

Declare Function swe_sidtime_d Lib "swedll32.dll" _
        Alias "_swe_sidtime_d@8" ( _
          ByRef tjd_ut As Double, _
          ByRef sidt As Double _
        ) As Long

Declare Function swe_sol_eclipse_how Lib "swedll32.dll" _
        Alias "_swe_sol_eclipse_how@24" ( _
          ByVal tjd_ut As Double, _
          ByVal ifl As Long, _
          ByRef geopos As Double, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_sol_eclipse_how_d Lib "swedll32.dll" _
        Alias "_swe_sol_eclipse_how_d@20" ( _
          ByRef tjd_ut As Double, _
          ByVal ifl As Long, _
          ByRef geopos As Double, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_sol_eclipse_when_glob Lib "swedll32.dll" _
        Alias "_swe_sol_eclipse_when_glob@28" ( _
          ByVal tjd_start As Double, _
          ByVal ifl As Long, _
          ByVal ifltype As Long, _
          ByRef tret As Double, _
          ByVal backward As Long, _
          ByVal serr As String _
        ) As Long

Declare Function swe_sol_eclipse_when_glob_d Lib "swedll32.dll" _
        Alias "_swe_sol_eclipse_when_glob_d@24" ( _
          ByRef tjd_start As Double, _
          ByVal ifl As Long, _
          ByVal ifltype As Long, _
          ByRef tret As Double, _
          ByVal backward As Long, _
          ByVal serr As String _
        ) As Long

Declare Function swe_sol_eclipse_when_loc Lib "swedll32.dll" _
        Alias "_swe_sol_eclipse_when_loc@32" ( _
          ByVal tjd_start As Double, _
          ByVal ifl As Long, _
          ByRef tret As Double, _
          ByRef attr As Double, _
          ByVal backward As Long, _
          ByVal serr As String _
        ) As Long

Declare Function swe_sol_eclipse_when_loc_d Lib "swedll32.dll" _
        Alias "_swe_sol_eclipse_when_loc_d@28" ( _
          ByRef tjd_start As Double, _
          ByVal ifl As Long, _
          ByRef tret As Double, _
          ByRef attr As Double, _
          ByVal backward As Long, _
          ByVal serr As String _
        ) As Long

Declare Function swe_sol_eclipse_where Lib "swedll32.dll" _
        Alias "_swe_sol_eclipse_where@24" ( _
          ByVal tjd_ut As Double, _
          ByVal ifl As Long, _
          ByRef geopos As Double, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_sol_eclipse_where_d Lib "swedll32.dll" _
        Alias "_swe_sol_eclipse_where_d@20" ( _
          ByRef tjd_ut As Double, _
          ByVal ifl As Long, _
          ByRef geopos As Double, _
          ByRef attr As Double, _
          ByVal serr As String _
        ) As Long

Declare Function swe_time_equ Lib "swedll32.dll" _
        Alias "_swe_time_equ@16" ( _
          ByVal tjd_ut As Double, _
          ByRef e As Double, _
          ByVal serr As String _
        ) As Long

' values for gregflag in swe_julday() and swe_revjul()
 Const SE_JUL_CAL As Integer = 0
 Const SE_GREG_CAL As Integer = 1

' planet and body numbers (parameter ipl) for swe_calc()
 Const SE_SUN As Integer = 0
 Const SE_MOON As Integer = 1
 Const SE_MERCURY As Integer = 2
 Const SE_VENUS As Integer = 3
 Const SE_MARS As Integer = 4
 Const SE_JUPITER As Integer = 5
 Const SE_SATURN As Integer = 6
 Const SE_URANUS As Integer = 7
 Const SE_NEPTUNE As Integer = 8
 Const SE_PLUTO   As Integer = 9
 Const SE_MEAN_NODE As Integer = 10
 Const SE_TRUE_NODE As Integer = 11
 Const SE_MEAN_APOG As Integer = 12
 Const SE_OSCU_APOG As Integer = 13
 Const SE_EARTH     As Integer = 14
 Const SE_CHIRON    As Integer = 15
 Const SE_PHOLUS    As Integer = 16
 Const SE_CERES     As Integer = 17
 Const SE_PALLAS    As Integer = 18
 Const SE_JUNO      As Integer = 19
 Const SE_VESTA     As Integer = 20

 Const SE_NPLANETS  As Integer = 21
 Const SE_AST_OFFSET  As Integer = 10000

' Hamburger or Uranian ficticious "planets"
 Const SE_FICT_OFFSET As Integer = 40
 Const SE_FICT_MAX  As Integer = 999 'maximum number for ficticious planets if taken from file seorbel.txt
 Const SE_NFICT_ELEM  As Integer = 15 'number of built-in ficticious planets
 Const SE_CUPIDO As Integer = 40
 Const SE_HADES As Integer = 41
 Const SE_ZEUS As Integer = 42
 Const SE_KRONOS As Integer = 43
 Const SE_APOLLON As Integer = 44
 Const SE_ADMETOS As Integer = 45
 Const SE_VULKANUS As Integer = 46
 Const SE_POSEIDON As Integer = 47
' other ficticious bodies
 Const SE_ISIS As Integer = 48
 Const SE_NIBIRU As Integer = 49
 Const SE_HARRINGTON As Integer = 50
 Const SE_NEPTUNE_LEVERRIER As Integer = 51
 Const SE_NEPTUNE_ADAMS As Integer = 52
 Const SE_PLUTO_LOWELL As Integer = 53
 Const SE_PLUTO_PICKERING As Integer = 54

' points returned by swe_houses() and swe_houses_armc()
' in array ascmc(0...10)
 Const SE_ASC       As Integer = 0
 Const SE_MC        As Integer = 1
 Const SE_ARMC      As Integer = 2
 Const SE_VERTEX    As Integer = 3
 Const SE_EQUASC    As Integer = 4      ' "equatorial ascendant"
 Const SE_NASCMC    As Integer = 5      ' number of such points

' iflag values for swe_calc()/swe_calc_ut() and swe_fixstar()/swe_fixstar_ut()
Public Const SEFLG_JPLEPH As Long = 1
Public Const SEFLG_SWIEPH As Long = 2
Public Const SEFLG_MOSEPH As Long = 4
Public Const SEFLG_SPEED As Long = 256
Public Const SEFLG_HELCTR As Long = 8
Public Const SEFLG_TRUEPOS As Long = 16
Public Const SEFLG_J2000 As Long = 32
Public Const SEFLG_NONUT As Long = 64
Public Const SEFLG_NOGDEFL As Long = 512
Public Const SEFLG_NOABERR As Long = 1024
Public Const SEFLG_EQUATORIAL As Long = 2048
Public Const SEFLG_XYZ As Long = 4096
Public Const SEFLG_RADIANS As Long = 8192
Public Const SEFLG_BARYCTR As Long = 16384
Public Const SEFLG_TOPOCTR As Long = 32768
Public Const SEFLG_SIDEREAL As Long = 65536

'sidereal modes, for swe_set_sid_mode()
Public Const SE_SIDM_FAGAN_BRADLEY    As Long = 0
Public Const SE_SIDM_LAHIRI           As Long = 1
Public Const SE_SIDM_DELUCE           As Long = 2
Public Const SE_SIDM_RAMAN            As Long = 3
Public Const SE_SIDM_USHASHASHI       As Long = 4
Public Const SE_SIDM_KRISHNAMURTI     As Long = 5
Public Const SE_SIDM_DJWHAL_KHUL      As Long = 6
Public Const SE_SIDM_YUKTESHWAR       As Long = 7
Public Const SE_SIDM_JN_BHASIN        As Long = 8
Public Const SE_SIDM_BABYL_KUGLER1    As Long = 9
Public Const SE_SIDM_BABYL_KUGLER2   As Long = 10
Public Const SE_SIDM_BABYL_KUGLER3   As Long = 11
Public Const SE_SIDM_BABYL_HUBER     As Long = 12
Public Const SE_SIDM_BABYL_ETPSC     As Long = 13
Public Const SE_SIDM_ALDEBARAN_15TAU As Long = 14
Public Const SE_SIDM_HIPPARCHOS      As Long = 15
Public Const SE_SIDM_SASSANIAN       As Long = 16
Public Const SE_SIDM_GALCENT_0SAG    As Long = 17
Public Const SE_SIDM_J2000           As Long = 18
Public Const SE_SIDM_J1900           As Long = 19
Public Const SE_SIDM_B1950           As Long = 20
Public Const SE_SIDM_USER            As Long = 255

Public Function Reduce_below_13pt3333(ByVal x As Double)
a1:
    If x >= 13.333333333333 Then
        x = x - 13.333333333333
        GoTo a1
    End If

    Reduce_below_13pt3333 = x
End Function

Public Function Reduce_below_30(ByVal x As Double)
a1:
    If x >= 30 Then
        x = x - 30
        GoTo a1
    End If

    Reduce_below_30 = x
End Function


Public Function Replace(ByVal sIn As String, ByVal sFind As String, ByVal sReplace As String, Optional nStart As Long = 1, Optional nCount As Long = -1, Optional bCompare As VbCompareMethod = vbBinaryCompare) As String
    Dim nC As Long, nPos As Long
    Dim nFindLen As Long, nReplaceLen As Long

    nFindLen = Len(sFind)
    nReplaceLen = Len(sReplace)

    If (sFind <> "") And (sFind <> sReplace) Then
        nPos = InStr(nStart, sIn, sFind, bCompare)
        Do While nPos
            nC = nC + 1
            sIn = Left(sIn, nPos - 1) & sReplace & Mid(sIn, nPos + nFindLen)
            If nCount <> -1 And nC >= nCount Then Exit Do
            nPos = InStr(nPos + nReplaceLen, sIn, sFind, bCompare)
        Loop
    End If

    Replace = sIn
End Function


Function FileText(ByVal filename As String) As String
    Dim handle As Integer

'usage:
'Text1.Text = FileText("c:\autoexec.bat")

' ensure that the file exists
    If Len(Dir$(filename)) = 0 Then
        Err.Raise 53   ' File not found
    End If

' open in binary mode
    handle = FreeFile
    Open filename$ For Binary As #handle

' read the string and close the file
    FileText = Space$(LOF(handle))
    Get #handle, , FileText
    Close #handle
End Function

Public Sub QuickSort_MultipleDim2(sarray() As Single, array2() As String, inLow As Long, inHi As Long, sort_by%)
'sort of multiple dimension arrays
    Dim tmpSwap As Single, tmpSwap2 As String, tmpLow As Long, tmpHi As Long, x%
    Dim pivot As Variant

    tmpLow = inLow
    tmpHi = inHi

    If sort_by% = 4 Then
        pivot = array2((inLow + inHi) / 2)
    Else
        pivot = sarray(sort_by%, (inLow + inHi) / 2)
    End If

    While (tmpLow <= tmpHi)
        If sort_by% = 4 Then
            While (array2(tmpLow) < pivot And tmpLow < inHi)
                tmpLow = tmpLow + 1
            Wend

            While (pivot < array2(tmpHi) And tmpHi > inLow)
                tmpHi = tmpHi - 1
            Wend
        Else
            While (sarray(sort_by%, tmpLow) > pivot And tmpLow < inHi)
                tmpLow = tmpLow + 1
            Wend

            While (pivot > sarray(sort_by%, tmpHi) And tmpHi > inLow)
                tmpHi = tmpHi - 1
            Wend
        End If

        If (tmpLow <= tmpHi) Then
            For x% = 0 To 3
                tmpSwap = sarray(x%, tmpLow)
                sarray(x%, tmpLow) = sarray(x%, tmpHi)
                sarray(x%, tmpHi) = tmpSwap
            Next x%

            tmpSwap2 = array2(tmpLow)
            array2(tmpLow) = array2(tmpHi)
            array2(tmpHi) = tmpSwap2

            tmpLow = tmpLow + 1
            tmpHi = tmpHi - 1
        End If
    Wend

    If (inLow < tmpHi) Then QuickSort_MultipleDim2 sarray(), array2(), inLow, tmpHi, sort_by%
    If (tmpLow < inHi) Then QuickSort_MultipleDim2 sarray(), array2(), tmpLow, inHi, sort_by%
End Sub

Public Sub AdjustStringForCommas()
    Dim x%

    x% = InStr(xy$, ",")

    If x% <> 0 Then
        Mid$(xy$, x%, 1) = "."
    End If
End Sub


Public Sub GetCSVFileFilename(loadsave%, dir_to_use%)
    Dim t$

    CancelFlag% = 0

    Finding_Lucky_Times!DLog.CancelError = True
    Finding_Lucky_Times!DLog.DefaultExt = "csv"

    If dir_to_use% = 0 Then
        Finding_Lucky_Times!DLog.InitDir = App.Path & "\hits"
    ElseIf dir_to_use% = 1 Then
        Finding_Lucky_Times!DLog.InitDir = App.Path & "\angles"
    End If
    
    Finding_Lucky_Times!DLog.filename = ""

    Finding_Lucky_Times!DLog.Filter = ".csv Files (*.csv) | *.csv"
    Finding_Lucky_Times!DLog.FilterIndex = 1
    Finding_Lucky_Times!DLog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST

    On Error GoTo PVC33f

    Finding_Lucky_Times!DLog.DialogTitle = "Specify .csv file"
    If loadsave% = 0 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Specify .csv file to load"
        Finding_Lucky_Times!DLog.Action = 1
    Else
        Finding_Lucky_Times!DLog.DialogTitle = "Specify .csv file to save"
        Finding_Lucky_Times!DLog.Action = 2
    End If

    OutputNameFileCSVFile = Finding_Lucky_Times!DLog.filename
    On Error GoTo 0

    t$ = ParseFilenameOnly(OutputNameFileCSVFile)
    csv_short_filename$ = t$
    CSVFileParsedPathName$ = ParsedPathName$

PVC44f:
    Exit Sub

PVC33f:
    If Err = 32755 Then             'Cancel was selected
        CancelFlag% = 1
    End If

    Resume PVC44f
End Sub


Public Function DaysInMonth(testYear As Integer, testMonth As Integer) As Integer
    DaysInMonth = day(DateSerial(testYear, testMonth + 1, 0))
End Function

Public Function ParseFilenameOnly(full_path As String) As String
    Dim last_x%, t$, x%

    t$ = full_path
    last_x% = 1

sk1:
    x% = InStr(last_x%, t$, "\")
    If x% > 0 Then
        last_x% = x% + 1
        GoTo sk1
    End If

    On Error Resume Next
    ParsedPathName$ = Left(t$, last_x% - 2)             'remove final backslash
    On Error GoTo 0

    ParseFilenameOnly = Right$(t$, Len(t$) - last_x% + 1)
End Function


Sub DisplayHelp()
    Call ClearOutputForm

    Open DefaultDirectory$ & CurrentHelpFile$ For Input As #1

    Do While Not EOF(1)
        Line Input #1, Buffer
        Call PrintBuffer
    Loop

    Close #1

    Call LineFeed

    Call AdjustForm
End Sub

Sub UpdateStatus(AmtDone&, Total&)
    Dim ts0!

    ts0! = AmtDone& / Total& * 100
    If ts0! > 100 Then ts0! = 100

    StatusDlg.Picture2.Line (0, 0)-((ts0! * (StatusDlg.Picture2.ScaleWidth / 100)), StatusDlg.Picture2.ScaleHeight), QBColor(12), BF
End Sub

Function FileExists(Path$) As Integer
    Dim x As Integer

    x = FreeFile

    On Error Resume Next
    Open Path$ For Input As x

    If Err = 0 Then
        FileExists = True
    Else
        FileExists = False
    End If

    Close x
    On Error GoTo 0
End Function

Sub INI_SaveSettings()
    Dim x%
    
    Close #1

    Open DefaultDirectory$ & "\Finding_Lucky_Times.INI" For Output As #1

    Print #1, "[Finding_Lucky_Times] - Do NOT change the order of these variables."
    Print #1, "FontSize=" & Str$(MasterFontSize)
    Print #1, "FontBold=" & Str$(MasterFontBold)
    Print #1, "FontItalic=" & Str$(MasterFontItalic)

    Print #1, "Finding_Lucky_TimesTop=" & Str$(Finding_Lucky_Times.Top)
    Print #1, "Finding_Lucky_TimesLeft=" & Str$(Finding_Lucky_Times.Left)
    Print #1, "Finding_Lucky_TimesHeight=" & Str$(Finding_Lucky_Times.Height)
    Print #1, "Finding_Lucky_TimesWidth=" & Str$(Finding_Lucky_Times.Width)

    Print #1, "DataTop=" & Str$(DataWindowTop%)
    Print #1, "DataLeft=" & Str$(DataWindowLeft&)
    Print #1, "DataHeight=" & Str$(DataWindowHeight%)
    Print #1, "DataWidth=" & Str$(DataWindowWidth%)

    Print #1, "GridFormTop=" & Str$(GridFormWindowTop%)
    Print #1, "GridFormLeft=" & Str$(GridFormWindowLeft&)
    Print #1, "GridFormHeight=" & Str$(GridFormWindowHeight%)
    Print #1, "GridFormWidth=" & Str$(GridFormWindowWidth%)
    
    Print #1, "AngleGraphTop=" & Str$(AngleGraphWindowTop%)
    Print #1, "AngleGraphLeft=" & Str$(AngleGraphWindowLeft&)
    Print #1, "AngleGraphHeight=" & Str$(AngleGraphWindowHeight%)
    Print #1, "AngleGraphWidth=" & Str$(AngleGraphWindowWidth&)
    
    Print #1, "HitGraphTop=" & Str$(HitGraphWindowTop%)
    Print #1, "HitGraphLeft=" & Str$(HitGraphWindowLeft&)
    Print #1, "HitGraphHeight=" & Str$(HitGraphWindowHeight%)
    Print #1, "HitGraphWidth=" & Str$(HitGraphWindowWidth&)
    
    Print #1, "lunar_mansions_form_FormWindowTop=" & Str$(lunar_mansions_form_FormWindowTop%)
    Print #1, "lunar_mansions_form_FormWindowLeft=" & Str$(lunar_mansions_form_FormWindowLeft&)
    
    Print #1, "Midpoints_t_to_n_FormTop=" & Str$(Midpoints_t_to_n_FormWindowTop%)
    Print #1, "Midpoints_t_to_n_FormLeft=" & Str$(Midpoints_t_to_n_FormWindowLeft&)
    
    Print #1, "Midpoints_t_to_t_FormTop=" & Str$(Midpoints_t_to_t_FormWindowTop%)
    Print #1, "Midpoints_t_to_t_FormLeft=" & Str$(Midpoints_t_to_t_FormWindowLeft&)
    
    Print #1, "Midpoints_t_to_nmp_FormTop=" & Str$(Midpoints_t_to_nmp_FormWindowTop%)
    Print #1, "Midpoints_t_to_nmp_FormLeft=" & Str$(Midpoints_t_to_nmp_FormWindowLeft&)
    
    Print #1, "DataFile=" & CurrentNamesFile$

    If AtlasDirectory$ <> "" Then Print #1, "AtlasDir=" & AtlasDirectory$

    Print #1, "csv_path=" & csv_path$
    Print #1, "csv_filename=" & csv_filename$
    
    Print #1, "opt_path=" & opt_path$
    Print #1, "opt_filename=" & opt_filename$
    
    Print #1, "mpn_path=" & mpn_path$
    Print #1, "mpn_filename=" & mpn_filename$
    
    Print #1, "mpt_path=" & mpt_path$
    Print #1, "mpt_filename=" & mpt_filename$
    
    Print #1, "apt_path=" & apt_path$
    Print #1, "apt_filename=" & apt_filename$
    
    Print #1, "nak_path=" & nak_path$
    Print #1, "nak_filename=" & nak_filename$
    
    Print #1, "nmp_path=" & nmp_path$
    Print #1, "nmp_filename=" & nmp_filename$
    
    Print #1, "txtDaysToCalculate=" & Finding_Lucky_Times!txtDaysToCalculate.Text
    
    Print #1, "txtStartTime=" & Finding_Lucky_Times!txtStartTime.Text
    Print #1, "txtEndTime=" & Finding_Lucky_Times!txtEndTime.Text
    
    Print #1, "txtMinutesBeforeExact=" & Finding_Lucky_Times!txtMinutesBeforeExact.Text
    Print #1, "txtMinutesAfterExact=" & Finding_Lucky_Times!txtMinutesAfterExact.Text
    Print #1, "txtDaysForwardBack=" & Finding_Lucky_Times!txtDaysForwardBack.Text
    
    Print #1, "chkNatal_Transit_0=" & Finding_Lucky_Times!chkNatal_Transit(0).Value
    Print #1, "chkNatal_Transit_1=" & Finding_Lucky_Times!chkNatal_Transit(1).Value
    
    Print #1, "chkEnableTimePeriod=" & Finding_Lucky_Times!chkEnableTimePeriod.Value
    
    Print #1, "chkIncludeTDeg_to_NDeg=" & Finding_Lucky_Times!chkIncludeTDeg_to_NDeg.Value
    Print #1, "chkIncludeAuspiciousPoints=" & Finding_Lucky_Times!chkIncludeAuspiciousPoints.Value
    Print #1, "chkIncludeLunarMansions=" & Finding_Lucky_Times!chkIncludeLunarMansions.Value
    Print #1, "chkInclude_Transit_Midpoints_to_Natal_Planets=" & Finding_Lucky_Times!chkInclude_Transit_Midpoints_to_Natal_Planets.Value
    Print #1, "chkInclude_Transit_Midpoints_to_Transit_Planets=" & Finding_Lucky_Times!chkInclude_Transit_Midpoints_to_Transit_Planets.Value
    
    
    Print #1, "chkInclude_Transit_Planets_to_Natal_Midpoints=" & Finding_Lucky_Times!chkInclude_Transit_Planets_to_Natal_Midpoints.Value
    Print #1, "chkInclude_Transit_Midpoints_to_Natal_Midpoints=" & Finding_Lucky_Times!chkInclude_Transit_Midpoints_to_Natal_Midpoints.Value
    
    
    Print #1, "optZodiac_0=" & Finding_Lucky_Times!optZodiac(0).Value
    Print #1, "optZodiac_1=" & Finding_Lucky_Times!optZodiac(1).Value
    
    Print #1, "optHouseSystem_0=" & Finding_Lucky_Times!optHouseSystem(0).Value
    Print #1, "optHouseSystem_1=" & Finding_Lucky_Times!optHouseSystem(1).Value
    Print #1, "optHouseSystem_2=" & Finding_Lucky_Times!optHouseSystem(2).Value
    Print #1, "optHouseSystem_3=" & Finding_Lucky_Times!optHouseSystem(3).Value
    
    Print #1, "person_name_1=" & Finding_Lucky_Times!txtName.Text
    Print #1, "person_name_2=" & Finding_Lucky_Times!txtDiurnalName.Text
    
    For x% = 0 To num_chkboxes_p1% - 1
        Print #1, "chkP1Planets_" & Format$(x%, "00") & "=" & Finding_Lucky_Times!chkP1Planets(x%).Value
    Next x%
    
    For x% = 0 To num_chkboxes_p2% - 1
        Print #1, "chkP2Planets_" & Format$(x%, "00") & "=" & Finding_Lucky_Times!chkP2Planets(x%).Value
    Next x%
    
    For x% = 0 To num_aspects%
        Print #1, "chkAspects_" & Format$(x%, "00") & "=" & Finding_Lucky_Times!chkAspects(x%).Value
    Next x%
    
    Print #1, "excel_column_width=" & excel_column_width%
    
    Close #1
End Sub

Sub INI_GetSettings()
    Dim t$, Fetch As String, x%

    excel_column_width% = 5

    MasterFontSize = 8.5
    MasterFontBold = 0
    MasterFontItalic = 0

    Finding_Lucky_Times.Top = 0
    Finding_Lucky_Times.Left = 0
    Finding_Lucky_Times.Height = 12585
    Finding_Lucky_Times.Width = 16545

    DataWindowTop% = 0
    DataWindowLeft& = 0
    DataWindowHeight% = 11060
    DataWindowWidth% = 9600

    GridFormWindowTop% = 300
    GridFormWindowLeft& = 300
    GridFormWindowHeight% = 6765
    GridFormWindowWidth% = 15750
    
    AngleGraphWindowTop% = 8910
    AngleGraphWindowLeft& = 0
    AngleGraphWindowHeight% = 8250
    AngleGraphWindowWidth& = 14355
    
    HitGraphWindowTop% = 660
    HitGraphWindowLeft& = 0
    HitGraphWindowHeight% = 8250
    HitGraphWindowWidth& = 14355
    
    lunar_mansions_form_FormWindowTop% = 300
    lunar_mansions_form_FormWindowLeft& = 300
    
    Midpoints_t_to_n_FormWindowTop% = 600
    Midpoints_t_to_n_FormWindowLeft& = 600
    
    Midpoints_t_to_t_FormWindowTop% = 900
    Midpoints_t_to_t_FormWindowLeft& = 900
    
    Midpoints_t_to_nmp_FormWindowTop% = 1200
    Midpoints_t_to_nmp_FormWindowLeft& = 1200
    
    CurrentNamesFile$ = DefaultDirectory$ & "\NAMES.FIL"
    
    csv_path$ = App.Path
    csv_filename$ = ""
    
    opt_path$ = App.Path
    opt_filename$ = ""

    mpn_path$ = App.Path
    mpn_filename$ = ""
    
    mpt_path$ = App.Path
    mpt_filename$ = ""
    
    apt_path$ = App.Path
    apt_filename$ = ""
    
    nak_path$ = App.Path
    nak_filename$ = ""
    
    nmp_path$ = App.Path
    nmp_filename$ = ""
    
    person_name_1 = "Now"
    person_name_2 = "Transits - Now"
    
    Close #1
    
    On Error GoTo gis1
    
    Open DefaultDirectory$ & "\Finding_Lucky_Times.ini" For Input As #1
    
    Do While Not EOF(1)
        Line Input #1, t$

        Fetch = Right$(t$, Len(t$) - InStr(t$, "="))

        If Left$(t$, 8) = "FontSize" Then
            If Val(Fetch) >= 7.75 Then MasterFontSize = Val(Fetch)
        End If

        If Left$(t$, 8) = "FontBold" Then
            MasterFontBold = Val(Fetch)
        End If

        If Left$(t$, 10) = "FontItalic" Then
            MasterFontItalic = Val(Fetch)
        End If

        If Left$(t$, 23) = "Finding_Lucky_TimesTop=" Then
            Finding_Lucky_Times.Top = Val(Fetch)
        End If
        If Left$(t$, 24) = "Finding_Lucky_TimesLeft=" Then
            Finding_Lucky_Times.Left = Val(Fetch)
        End If
        If Left$(t$, 26) = "Finding_Lucky_TimesHeight=" Then
            If Val(Fetch) > 0 Then Finding_Lucky_Times.Height = Val(Fetch)
        End If
        If Left$(t$, 25) = "Finding_Lucky_TimesWidth=" Then
            If Val(Fetch) > 0 Then Finding_Lucky_Times.Width = Val(Fetch)
        End If

        If Left$(t$, 8) = "DataTop=" Then
            If Val(Fetch) >= 0 Then DataWindowTop% = Val(Fetch)
        End If
        If Left$(t$, 9) = "DataLeft=" Then
            DataWindowLeft& = Val(Fetch)
        End If
        If Left$(t$, 11) = "DataHeight=" Then
            If Val(Fetch) > 0 Then DataWindowHeight% = Val(Fetch)
        End If
        If Left$(t$, 10) = "DataWidth=" Then
            If Val(Fetch) > 0 Then DataWindowWidth% = Val(Fetch)
        End If

        If Left$(t$, 12) = "GridFormTop=" Then
            If Val(Fetch) >= 0 Then GridFormWindowTop% = Val(Fetch)
        End If
        If Left$(t$, 13) = "GridFormLeft=" Then
            GridFormWindowLeft& = Val(Fetch)
        End If
        If Left$(t$, 15) = "GridFormHeight=" Then
            If Val(Fetch) > 0 Then GridFormWindowHeight% = Val(Fetch)
        End If
        If Left$(t$, 14) = "GridFormWidth=" Then
            If Val(Fetch) > 0 Then GridFormWindowWidth% = Val(Fetch)
        End If

        If Left$(t$, 13) = "AngleGraphTop" Then
            If Val(Fetch) > 0 Then AngleGraphWindowTop% = Val(Fetch)
        End If
        If Left$(t$, 14) = "AngleGraphLeft" Then
            AngleGraphWindowLeft& = Val(Fetch)
        End If
        If Left$(t$, 16) = "AngleGraphHeight" Then
            If Val(Fetch) > 0 Then AngleGraphWindowHeight% = Val(Fetch)
        End If
        If Left$(t$, 15) = "AngleGraphWidth" Then
            If Val(Fetch) > 0 Then AngleGraphWindowWidth& = Val(Fetch)
        End If
        
        If Left$(t$, 11) = "HitGraphTop" Then
            If Val(Fetch) > 0 Then HitGraphWindowTop% = Val(Fetch)
        End If
        If Left$(t$, 12) = "HitGraphLeft" Then
            HitGraphWindowLeft& = Val(Fetch)
        End If
        If Left$(t$, 14) = "HitGraphHeight" Then
            If Val(Fetch) > 0 Then HitGraphWindowHeight% = Val(Fetch)
        End If
        If Left$(t$, 13) = "HitGraphWidth" Then
            If Val(Fetch) > 0 Then HitGraphWindowWidth& = Val(Fetch)
        End If
        
        If Left$(t$, 34) = "lunar_mansions_form_FormWindowTop=" Then
            If Val(Fetch) >= 0 Then lunar_mansions_form_FormWindowTop% = Val(Fetch)
        End If
        If Left$(t$, 35) = "lunar_mansions_form_FormWindowLeft=" Then
            lunar_mansions_form_FormWindowLeft& = Val(Fetch)
        End If
        
        If Left$(t$, 25) = "Midpoints_t_to_n_FormTop=" Then
            If Val(Fetch) >= 0 Then Midpoints_t_to_n_FormWindowTop% = Val(Fetch)
        End If
        If Left$(t$, 26) = "Midpoints_t_to_n_FormLeft=" Then
            Midpoints_t_to_n_FormWindowLeft& = Val(Fetch)
        End If
        
        If Left$(t$, 25) = "Midpoints_t_to_t_FormTop=" Then
            If Val(Fetch) >= 0 Then Midpoints_t_to_t_FormWindowTop% = Val(Fetch)
        End If
        If Left$(t$, 26) = "Midpoints_t_to_t_FormLeft=" Then
            Midpoints_t_to_t_FormWindowLeft& = Val(Fetch)
        End If
        
        If Left$(t$, 27) = "Midpoints_t_to_nmp_FormTop=" Then
            If Val(Fetch) >= 0 Then Midpoints_t_to_nmp_FormWindowTop% = Val(Fetch)
        End If
        If Left$(t$, 28) = "Midpoints_t_to_nmp_FormLeft=" Then
            Midpoints_t_to_nmp_FormWindowLeft& = Val(Fetch)
        End If
        
        If Left$(t$, 8) = "DataFile" Then
            If Fetch <> "" Then CurrentNamesFile$ = Fetch
        End If

        If Left$(t$, 8) = "AtlasDir" Then
            If Fetch <> "" Then AtlasDirectory$ = Fetch
        End If
    
        If Left$(t$, 9) = "csv_path=" Then
            If Fetch <> "" Then csv_path$ = Fetch
        End If

        If Left$(t$, 13) = "csv_filename=" Then
            If Fetch <> "" Then csv_filename$ = Fetch
        End If
    
        If Left$(t$, 9) = "opt_path=" Then
            If Fetch <> "" Then opt_path$ = Fetch
        End If

        If Left$(t$, 13) = "opt_filename=" Then
            If Fetch <> "" Then opt_filename$ = Fetch
        End If
    
        If Left$(t$, 9) = "mpn_path=" Then
            If Fetch <> "" Then mpn_path$ = Fetch
        End If

        If Left$(t$, 13) = "mpn_filename=" Then
            If Fetch <> "" Then mpn_filename$ = Fetch
        End If
    
        If Left$(t$, 9) = "mpt_path=" Then
            If Fetch <> "" Then mpt_path$ = Fetch
        End If

        If Left$(t$, 13) = "mpt_filename=" Then
            If Fetch <> "" Then mpt_filename$ = Fetch
        End If
    
        If Left$(t$, 9) = "apt_path=" Then
            If Fetch <> "" Then apt_path$ = Fetch
        End If

        If Left$(t$, 13) = "apt_filename=" Then
            If Fetch <> "" Then apt_filename$ = Fetch
        End If
    
        If Left$(t$, 9) = "nak_path=" Then
            If Fetch <> "" Then nak_path$ = Fetch
        End If

        If Left$(t$, 13) = "nak_filename=" Then
            If Fetch <> "" Then nak_filename$ = Fetch
        End If
    
        If Left$(t$, 9) = "nmp_path=" Then
            If Fetch <> "" Then nmp_path$ = Fetch
        End If

        If Left$(t$, 13) = "nmp_filename=" Then
            If Fetch <> "" Then nmp_filename$ = Fetch
        End If
    
        If Left$(t$, 19) = "txtDaysToCalculate=" Then
            If Fetch <> "" Then Finding_Lucky_Times!txtDaysToCalculate.Text = Fetch
        End If
    
        If Left$(t$, 13) = "txtStartTime=" Then
            If Fetch <> "" Then Finding_Lucky_Times!txtStartTime.Text = Fetch
        End If
        
        If Left$(t$, 11) = "txtEndTime=" Then
            If Fetch <> "" Then Finding_Lucky_Times!txtEndTime.Text = Fetch
        End If
    
        If Left$(t$, 22) = "txtMinutesBeforeExact=" Then
            If Fetch <> "" Then Finding_Lucky_Times!txtMinutesBeforeExact.Text = Fetch
        End If
        
        If Left$(t$, 21) = "txtMinutesAfterExact=" Then
            If Fetch <> "" Then Finding_Lucky_Times!txtMinutesAfterExact.Text = Fetch
        End If
    
        If Left$(t$, 19) = "txtDaysForwardBack=" Then
            If Fetch <> "" Then Finding_Lucky_Times!txtDaysForwardBack.Text = Fetch
        End If
        
        If Left$(t$, 19) = "chkNatal_Transit_0=" Then
            Finding_Lucky_Times!chkNatal_Transit(0).Value = Fetch
        End If
        
        If Left$(t$, 19) = "chkNatal_Transit_1=" Then
            Finding_Lucky_Times!chkNatal_Transit(1).Value = Fetch
        End If
    
        If Left$(t$, 20) = "chkEnableTimePeriod=" Then
            Finding_Lucky_Times!chkEnableTimePeriod.Value = Fetch
        End If
    
        If Left$(t$, 23) = "chkIncludeTDeg_to_NDeg=" Then
            Finding_Lucky_Times!chkIncludeTDeg_to_NDeg.Value = Fetch
        End If
        
        If Left$(t$, 27) = "chkIncludeAuspiciousPoints=" Then
            Finding_Lucky_Times!chkIncludeAuspiciousPoints.Value = Fetch
        End If
        
        If Left$(t$, 24) = "chkIncludeLunarMansions=" Then
            Finding_Lucky_Times!chkIncludeLunarMansions.Value = Fetch
        End If
        
        If Left$(t$, 46) = "chkInclude_Transit_Midpoints_to_Natal_Planets=" Then
            Finding_Lucky_Times!chkInclude_Transit_Midpoints_to_Natal_Planets.Value = Fetch
        End If
    
        If Left$(t$, 48) = "chkInclude_Transit_Midpoints_to_Transit_Planets=" Then
            Finding_Lucky_Times!chkInclude_Transit_Midpoints_to_Transit_Planets.Value = Fetch
        End If

        If Left$(t$, 46) = "chkInclude_Transit_Planets_to_Natal_Midpoints=" Then
            Finding_Lucky_Times!chkInclude_Transit_Planets_to_Natal_Midpoints.Value = Fetch
        End If
        
        If Left$(t$, 48) = "chkInclude_Transit_Midpoints_to_Natal_Midpoints=" Then
            Finding_Lucky_Times!chkInclude_Transit_Midpoints_to_Natal_Midpoints.Value = Fetch
        End If

        If Left$(t$, 12) = "optZodiac_0=" Then
            Finding_Lucky_Times!optZodiac(0).Value = Fetch
        End If
        
        If Left$(t$, 12) = "optZodiac_1=" Then
            Finding_Lucky_Times!optZodiac(1).Value = Fetch
        End If
    
        If Left$(t$, 17) = "optHouseSystem_0=" Then
            Finding_Lucky_Times!optHouseSystem(0).Value = Fetch
        End If
        
        If Left$(t$, 17) = "optHouseSystem_1=" Then
            Finding_Lucky_Times!optHouseSystem(1).Value = Fetch
        End If
        
        If Left$(t$, 17) = "optHouseSystem_2=" Then
            Finding_Lucky_Times!optHouseSystem(2).Value = Fetch
        End If
    
        If Left$(t$, 17) = "optHouseSystem_3=" Then
            Finding_Lucky_Times!optHouseSystem(3).Value = Fetch
        End If
    
        If Left$(t$, 14) = "person_name_1=" Then
            If Fetch <> "" Then person_name_1 = Fetch
        End If
    
        If Left$(t$, 14) = "person_name_2=" Then
            If Fetch <> "" Then person_name_2 = Fetch
        End If
    
        For x% = 0 To num_chkboxes_p1% - 1
            If Left$(t$, 16) = "chkP1Planets_" & Format$(x%, "00") & "=" Then
                Finding_Lucky_Times!chkP1Planets(x%).Value = Fetch
            End If
        Next x%
       
        For x% = 0 To num_chkboxes_p2% - 1
            If Left$(t$, 16) = "chkP2Planets_" & Format$(x%, "00") & "=" Then
                Finding_Lucky_Times!chkP2Planets(x%).Value = Fetch
            End If
        Next x%
    
        For x% = 0 To num_aspects%
            If Left$(t$, 14) = "chkAspects_" & Format$(x%, "00") & "=" Then
                Finding_Lucky_Times!chkAspects(x%).Value = Fetch
            End If
        Next x%
    
        If Left$(t$, 18) = "excel_column_width" Then
            excel_column_width% = Val(Fetch)
        End If
    Loop

gis2:
    Close #1
    
    Exit Sub

gis1:
    Resume gis2
End Sub

Public Sub SetPrinterToTextMode()
    Printer.ScaleMode = 5
    Printer.Scale
    Printer.ScaleMode = 5
End Sub

Sub QuickSortStringsAscending(sarray() As String, inLow As Long, inHi As Long)
'this WAS sort by date string - now it is sort by JD
    Dim tmpSwap As String, tmpLow As Long, tmpHi As Long, y As Integer
    'Dim pivot As Date
    Dim pivot As Double

    tmpLow = inLow
    tmpHi = inHi

    pivot = sarray(9, (inLow + inHi) / 2)

    While (tmpLow <= tmpHi)
        While (sarray(9, tmpLow) < pivot And tmpLow < inHi)
            tmpLow = tmpLow + 1
        Wend

        While (pivot < sarray(9, tmpHi) And tmpHi > inLow)
            tmpHi = tmpHi - 1
        Wend

        If (tmpLow <= tmpHi) Then
            For y = 0 To num_aspect_elements%
                tmpSwap = sarray(y, tmpLow)
                sarray(y, tmpLow) = sarray(y, tmpHi)
                sarray(y, tmpHi) = tmpSwap
            Next y

            tmpLow = tmpLow + 1
            tmpHi = tmpHi - 1
        End If
   Wend

   If (inLow < tmpHi) Then QuickSortStringsAscending sarray(), inLow, tmpHi
   If (tmpLow < inHi) Then QuickSortStringsAscending sarray(), tmpLow, inHi
End Sub


