Attribute VB_Name = "MODULE1"
Option Explicit

Function Align2(A4 As String)
    If Val(A4) >= 10 Then
        Align2 = A4
    Else
        Align2 = Space(1) & A4
    End If
End Function


Public Sub GetFileNameData()
    Dim ctx As Integer, msg As String, nRet&

    On Error GoTo WrongData1

    ctx = 0

    ReDim DataFile1$(0): ReDim DataFile2$(0)
    ReDim DataFile3$(0): ReDim DataFile4$(0)
    ReDim DataFile5$(0): ReDim DataFile6$(0)
    ReDim DataFile7$(0): ReDim DataFile8$(0)
    ReDim DataFile9$(0): ReDim DataFile10$(0)

    nRet& = SendMessage(Finding_Lucky_Times!NamesOnFile.hwnd, WM_SETREDRAW, 0, 0&)

    Do While Not EOF(1)
        Input #1, DataFile2$(ctx)

        If DataFile2$(ctx) = "" Then
            'MsgBox "Error in names file. Please correct before continuing.", 64, "Warning!"
            Exit Do
        End If

        Input #1, DataFile3$(ctx)
        Input #1, DataFile4$(ctx)
        Input #1, DataFile5$(ctx)
        Input #1, DataFile6$(ctx)
        Input #1, DataFile7$(ctx)
        Input #1, DataFile8$(ctx)
        Input #1, DataFile9$(ctx)
        Input #1, DataFile10$(ctx)

        Finding_Lucky_Times!NamesOnFile.AddItem DataFile2$(ctx)

        ctx = ctx + 1

        ReDim Preserve DataFile1$(UBound(DataFile1$) + 1)
        ReDim Preserve DataFile2$(UBound(DataFile2$) + 1)
        ReDim Preserve DataFile3$(UBound(DataFile3$) + 1)
        ReDim Preserve DataFile4$(UBound(DataFile4$) + 1)
        ReDim Preserve DataFile5$(UBound(DataFile5$) + 1)
        ReDim Preserve DataFile6$(UBound(DataFile6$) + 1)
        ReDim Preserve DataFile7$(UBound(DataFile7$) + 1)
        ReDim Preserve DataFile8$(UBound(DataFile8$) + 1)
        ReDim Preserve DataFile9$(UBound(DataFile9$) + 1)
        ReDim Preserve DataFile10$(UBound(DataFile10$) + 1)
    Loop

Ety2:
    Close #1

    nRet& = SendMessage(Finding_Lucky_Times!NamesOnFile.hwnd, WM_SETREDRAW, -1, 0&)

    Exit Sub

WrongData1:
    msg = "You have an error in the current names file. You need to check and see if "
    msg = msg & "you have entered the data correctly and in the proper amount. Please correct the data by "
    msg = msg & "clicking on the Edit List command button and edit the incorrect data."

    MsgBox msg, 16, "Error!"

    Resume Ety2
End Sub



Sub AdjustForm()
    Dim x&

    If LineCounter& = 0 Or OutputD1.ScaleHeight = 0 Then Exit Sub

    Call LineFeed

    Open DefaultDirectory$ + "\REPORTS\LASTPAGE.TXT" For Output As #9

    For x& = 0 To TextLineCounter&
        Print #9, TextOnForm$(x&)
    Next x&

    Close #9

    OutputD1!RichText1.LoadFile DefaultDirectory$ & "\REPORTS\LASTPAGE.TXT", 1

    OutputD1.Show

    OutputD1.Caption = XCaption$ & "Data"
End Sub

Sub CheckInputErrors()
    If Val(Finding_Lucky_Times!txtMonth) = 0 Or Val(Finding_Lucky_Times!txtDay) = 0 Or Val(Finding_Lucky_Times!txtYear) = 0 Then
       Call SetErrorFlagNatalData
    End If
    If Finding_Lucky_Times!txtMonth = "" Or Finding_Lucky_Times!txtDay = "" Or Finding_Lucky_Times!txtYear = "" Then
       Call SetErrorFlagNatalData
    End If
    If Finding_Lucky_Times!txtBirthHour = "" Or Finding_Lucky_Times!txtBirthMinute = "" Or Finding_Lucky_Times!txtTZ = "" Then
        Call SetErrorFlagNatalData
    End If
    If Finding_Lucky_Times!txtLongDeg = "" Or Finding_Lucky_Times!txtLongMin = "" Then
        Call SetErrorFlagNatalData
    End If
    If Finding_Lucky_Times!txtLatDeg = "" Or Finding_Lucky_Times!txtLatMin = "" Then
        Call SetErrorFlagNatalData
    End If
    If Val(Finding_Lucky_Times!txtTZ) < -2 And Finding_Lucky_Times!optWest.Value = True Then
        Call SetErrorFlagNatalData
    End If

    If Val(Finding_Lucky_Times!txtDiurnalMonth) = 0 Or Val(Finding_Lucky_Times!txtDiurnalDay) = 0 Or Val(Finding_Lucky_Times!txtDiurnalYear) = 0 Then
       Call SetErrorFlagDiurnalData
    End If
    If Finding_Lucky_Times!txtDiurnalMonth = "" Or Finding_Lucky_Times!txtDiurnalDay = "" Or Finding_Lucky_Times!txtDiurnalYear = "" Then
       Call SetErrorFlagDiurnalData
    End If
    If Finding_Lucky_Times!txtDiurnalHour = "" Or Finding_Lucky_Times!txtDiurnalMinute = "" Or Finding_Lucky_Times!txtDiurnalTZ = "" Then
        Call SetErrorFlagDiurnalData
    End If
    If Finding_Lucky_Times!txtDiurnalLongDeg = "" Or Finding_Lucky_Times!txtDiurnalLongMin = "" Then
        Call SetErrorFlagDiurnalData
    End If
    If Finding_Lucky_Times!txtDiurnalLatDeg = "" Or Finding_Lucky_Times!txtDiurnalLatMin = "" Then
        Call SetErrorFlagDiurnalData
    End If
    If Val(Finding_Lucky_Times!txtDiurnalTZ) < -2 And Finding_Lucky_Times!optDiurnalWest.Value = True Then
        Call SetErrorFlagDiurnalData
    End If
End Sub

Sub CheckOverflowErrorsDiurnal()
    If Val(Finding_Lucky_Times!txtDiurnalMonth) > 12 Or Val(Finding_Lucky_Times!txtDiurnalDay) > 31 Or Val(Finding_Lucky_Times!txtDiurnalYear) > 2099 Then
        Call SetErrorFlagDiurnalData
    End If

    If Val(Finding_Lucky_Times!txtDiurnalHour) > 12 Or Val(Finding_Lucky_Times!txtDiurnalMinute) > 60 Then
        Call SetErrorFlagDiurnalData
    End If

    If Val(Finding_Lucky_Times!txtDiurnalTZ) > 12 Or Val(Finding_Lucky_Times!txtDiurnalTZ) < -13 Then
        Call SetErrorFlagDiurnalData
    End If

    If Val(Finding_Lucky_Times!txtDiurnalLongDeg) > 180 Or Val(Finding_Lucky_Times!txtDiurnalLongMin) > 59 Then
        Call SetErrorFlagDiurnalData
    End If

    If Val(Finding_Lucky_Times!txtDiurnalLatMin) > 59 Then
        Call SetErrorFlagDiurnalData
    End If
End Sub

Sub CheckOverflowErrorsNatal()
    If Val(Finding_Lucky_Times!txtMonth) > 12 Or Val(Finding_Lucky_Times!txtDay) > 31 Or Val(Finding_Lucky_Times!txtYear) > 2099 Then
        Call SetErrorFlagNatalData
    End If

    If Val(Finding_Lucky_Times!txtBirthHour) > 12 Or Val(Finding_Lucky_Times!txtBirthMinute) > 60 Then
        Call SetErrorFlagNatalData
    End If

    If Val(Finding_Lucky_Times!txtTZ) > 12 Or Val(Finding_Lucky_Times!txtTZ) < -13 Then
        Call SetErrorFlagNatalData
    End If

    If Val(Finding_Lucky_Times!txtLongDeg) > 180 Or Val(Finding_Lucky_Times!txtLongMin) > 59 Then
        Call SetErrorFlagNatalData
    End If

    If Val(Finding_Lucky_Times!txtLatMin) > 59 Then
        Call SetErrorFlagNatalData
    End If
End Sub

Sub ClearOutputForm()
    OutputD1.ScaleMode = 4

    OutputD1!RichText1.Font.Name = MasterFontName
    OutputD1!RichText1.Font.Size = MasterFontSize
    OutputD1!RichText1.Font.Bold = MasterFontBold
    OutputD1!RichText1.Font.Italic = MasterFontItalic

    TextLineCounter& = 0
    ReDim TextOnForm$(0 To 1)
End Sub

Sub Convert360toDM()
    z3 = Int(z)
    q = Int(z3 / 30) + 1

    Z1 = Int(RoundTo2Dec((z3 / 30 - Int(z3 / 30)) * 30))

    z2a = (z - z3) * 60

    z2 = Int(z2a + 0.5)

    If z2 >= 60 Then z2 = 59
End Sub

Function ConvertDMtoDec(x)
    ConvertDMtoDec = Int(x) + ((x - Int(x)) * 100) / 60
End Function

Sub DiurnalDataList()
    Buffer = Space$(2) & Format$(DiurnalDate$, "dd mmm yyyy") & Space$(4) & "TZ = " & Format$(DiurnalTimeZone!, "##0.00000")
    Buffer = Buffer & Space$(6) & Format$(DiurnalTime!, "#0.00") & " " & DiurnalBirthTime$

    Buffer = Buffer & Space$(3) & Finding_Lucky_Times!txtDiurnalLongDeg.Text & LCase$(Left$(DiurnalD1$, 1)) & Format$(Finding_Lucky_Times!txtDiurnalLongMin.Text, "00") & Space(4)
    Buffer = Buffer & Finding_Lucky_Times!txtDiurnalLatDeg.Text & LCase$(Left$(DiurnalD2$, 1)) & Format$(Finding_Lucky_Times!txtDiurnalLatMin.Text, "00")

    diurnal_data_list$ = Buffer

    Call PrintBuffer
End Sub

Sub FetchDiurnalData()
    DiurnalDay% = Val(Finding_Lucky_Times!txtDiurnalDay.Text)
    DiurnalYear% = Val(Finding_Lucky_Times!txtDiurnalYear.Text)
    DiurnalMonth% = Val(Finding_Lucky_Times!txtDiurnalMonth.Text)

    If MyiDate% = 2 Then
        Calendar$ = Finding_Lucky_Times!txtDiurnalYear.Text & "/" & Finding_Lucky_Times!txtDiurnalMonth.Text & "/" & Finding_Lucky_Times!txtDiurnalDay.Text
    ElseIf MyiDate% = 1 Then
        Calendar$ = Finding_Lucky_Times!txtDiurnalDay.Text & "/" & Finding_Lucky_Times!txtDiurnalMonth.Text & "/" & Finding_Lucky_Times!txtDiurnalYear.Text
    Else
        Calendar$ = Finding_Lucky_Times!txtDiurnalMonth.Text & "/" & Finding_Lucky_Times!txtDiurnalDay.Text & "/" & Finding_Lucky_Times!txtDiurnalYear.Text
    End If

    DiurnalDate$ = Calendar$

    unknown_birth_time2 = False
    If Finding_Lucky_Times!optDiurnalUnknown.Value = True Then
        Finding_Lucky_Times!txtDiurnalHour.Text = "12"
        Finding_Lucky_Times!txtDiurnalMinute.Text = "0"
        unknown_birth_time2 = True
    End If

    DiurnalTime! = Val(Finding_Lucky_Times!txtDiurnalHour.Text) + (Val(Finding_Lucky_Times!txtDiurnalMinute.Text) / 100)
    DiurnalTimeZone! = Val(Finding_Lucky_Times!txtDiurnalTZ.Text)

    If Finding_Lucky_Times!optDiurnalAM.Value = True Then
        DiurnalBirthTime$ = "A.M."
    ElseIf Finding_Lucky_Times!optDiurnalPM.Value = True Then
        DiurnalBirthTime$ = "P.M."
    Else
        DiurnalBirthTime$ = "unkn"
    End If

    DiurnalLong! = Val(Finding_Lucky_Times!txtDiurnalLongDeg.Text) + (Val(Finding_Lucky_Times!txtDiurnalLongMin.Text) / 100)

    If Finding_Lucky_Times!optDiurnalEast.Value = True Then
        DiurnalLong! = -DiurnalLong!
    End If

    If DiurnalLong! < 0 Then
        DiurnalD1$ = "East"
    Else
        DiurnalD1$ = "West"
    End If

    DiurnalLat! = Val(Finding_Lucky_Times!txtDiurnalLatDeg.Text) + (Val(Finding_Lucky_Times!txtDiurnalLatMin.Text) / 100)

    If Finding_Lucky_Times!optDiurnalSouth.Value = True Then
        DiurnalLat! = -DiurnalLat!
    End If

    If DiurnalLat! < 0 Then
        DiurnalD2$ = "South"
    Else
        DiurnalD2$ = "North"
    End If
End Sub

Sub FetchNatalData()
    NatalMonth% = Val(Finding_Lucky_Times!txtMonth.Text)
    NatalDay% = Val(Finding_Lucky_Times!txtDay.Text)
    NatalYear% = Val(Finding_Lucky_Times!txtYear.Text)

    If MyiDate% = 2 Then
        Calendar$ = Finding_Lucky_Times!txtYear.Text & "/" & Finding_Lucky_Times!txtMonth.Text & "/" & Finding_Lucky_Times!txtDay.Text
    ElseIf MyiDate% = 1 Then
        Calendar$ = Finding_Lucky_Times!txtDay.Text & "/" & Finding_Lucky_Times!txtMonth.Text & "/" & Finding_Lucky_Times!txtYear.Text
    Else
        Calendar$ = Finding_Lucky_Times!txtMonth.Text & "/" & Finding_Lucky_Times!txtDay.Text & "/" & Finding_Lucky_Times!txtYear.Text
    End If

    NatalDate$ = Calendar$

    unknown_birth_time1 = False
    If Finding_Lucky_Times!optUnknown.Value = True Then
        Finding_Lucky_Times!txtBirthHour.Text = "12"
        Finding_Lucky_Times!txtBirthMinute.Text = "0"
        unknown_birth_time1 = True
    End If

    NatalTime! = Val(Finding_Lucky_Times!txtBirthHour.Text) + (Val(Finding_Lucky_Times!txtBirthMinute.Text) / 100)
    NatalTimeZone! = Val(Finding_Lucky_Times!txtTZ.Text)

    If Finding_Lucky_Times!optAM.Value = True Then
        NatalBirthTime$ = "A.M."
    ElseIf Finding_Lucky_Times!optPM.Value = True Then
        NatalBirthTime$ = "P.M."
    Else
        NatalBirthTime$ = "unkn"
    End If

    NatalLong! = Val(Finding_Lucky_Times!txtLongDeg.Text) + (Val(Finding_Lucky_Times!txtLongMin.Text) / 100)

    If Finding_Lucky_Times!optEast.Value = True Then
        NatalLong! = -NatalLong!
    End If

    If NatalLong! < 0 Then
        NatalD1$ = "East"
    Else
        NatalD1$ = "West"
    End If

    NatalLat! = Val(Finding_Lucky_Times!txtLatDeg.Text) + (Val(Finding_Lucky_Times!txtLatMin.Text) / 100)

    If Finding_Lucky_Times!optSouth.Value = -1 Then
        NatalLat! = -NatalLat!
    End If

    If NatalLat! < 0 Then
        NatalD2$ = "South"
    Else
        NatalD2$ = "North"
    End If
End Sub

Sub GetOptions()
    Dim C As Integer, I As String

    Close #2
    
    C = 0

    Open DefaultDirectory & "\options.opt" For Input As #2

    Do While Not EOF(2)
       Line Input #2, I

       If I = "" Then Exit Do

       C = C + 1

       XOPTION!(C) = Val(Left$(I, 7))
    Loop

    Close #2
End Sub

Sub LineFeed()
    Buffer = ""
    Call PrintBuffer
End Sub

Sub NatalDataList()
    Call LineFeed

    Buffer = Space(2) & Finding_Lucky_Times!txtName.Text
    Call PrintBuffer

    Buffer = Space$(2) & Format$(NatalDate$, "dd mmm yyyy") & Space$(4) & "TZ = " & Format$(NatalTimeZone!, "##0.00000")
    Buffer = Buffer & Space$(6) & Format$(NatalTime!, "#0.00") & " " & NatalBirthTime$

    Buffer = Buffer & Space$(3) & Finding_Lucky_Times!txtLongDeg.Text & LCase$(Left$(NatalD1$, 1)) & Format$(Finding_Lucky_Times!txtLongMin.Text, "00") & Space(4)
    Buffer = Buffer & Finding_Lucky_Times!txtLatDeg.Text & LCase$(Left$(NatalD2$, 1)) & Format$(Finding_Lucky_Times!txtLatMin.Text, "00")

    natal_data_list$ = Buffer

    Call PrintBuffer
End Sub

Sub NatalDiurnalDataList()
    Call LineFeed

    Buffer = Space(2) & Finding_Lucky_Times!txtName.Text
    Call PrintBuffer

    Buffer = Space$(2) & Format$(NatalDate$, "dd mmm yyyy") & Space$(4) & "TZ = " & Format$(NatalTimeZone!, "##0.00000")
    Buffer = Buffer & Space$(6) & Format$(NatalTime!, "#0.00") & " " & NatalBirthTime$

    Buffer = Buffer & Space$(3) & Finding_Lucky_Times!txtLongDeg.Text & LCase$(Left$(NatalD1$, 1)) & Format$(Finding_Lucky_Times!txtLongMin.Text, "00") & Space(4)
    Buffer = Buffer & Finding_Lucky_Times!txtLatDeg.Text & LCase$(Left$(NatalD2$, 1)) & Format$(Finding_Lucky_Times!txtLatMin.Text, "00")

    Call PrintBuffer
    Call LineFeed

    Buffer = Space(2) & "Transit date = " & Format$(DiurnalDate$, "dd mmm yyyy")

    Call PrintBuffer
End Sub

Function PickAFile(Wild As String) As String
    Dim x%

    Load SelectFIle

    SelectFIle.filList.Pattern = Wild

    SelectedFile = CurrentNamesFile$

    SelectFIle!filList.ListIndex = 0

    For x% = 0 To SelectFIle!filList.ListCount - 1
        If UCase$(Right$(CurrentNamesFile$, Len(SelectFIle!filList.List(x%)))) = UCase$(SelectFIle!filList.List(x%)) Then
           SelectFIle!filList.ListIndex = x%: Exit For
        End If
    Next x%

    SelectFIle.Show 1

    PickAFile = SelectedFile
End Function

Sub PrintBuffer()
    On Error GoTo PBErr1

    ReDim Preserve OutputLines$(0 To LineCounter& + 1)
    OutputLines$(LineCounter&) = Buffer

    LineCounter& = LineCounter& + 1

    TextOnForm$(TextLineCounter&) = Buffer
    TextLineCounter& = TextLineCounter& + 1

    ReDim Preserve TextOnForm$(0 To TextLineCounter&)

PBErr2:
    Exit Sub

PBErr1:
'    MsgBox "Buffer cannot hold any more data. Please print and/or clear data buffer before displaying any more data. This message may appear up to 35 times depending on how full the buffer is and how much the program wants to write to it.", 16, "Warning!"
    Resume PBErr2
End Sub

Sub PrintSignData()
    Dim deg%, min%, full_min As Double, full_sec As Double, pos_in_sign As Single, sign$(), sign_num%
    
    ReDim sign$(0 To 12)
    
    sign$(0) = "Ari"
    sign$(1) = "Tau"
    sign$(2) = "Gem"
    sign$(3) = "Can"
    sign$(4) = "Leo"
    sign$(5) = "Vir"
    sign$(6) = "Lib"
    sign$(7) = "Sco"
    sign$(8) = "Sag"
    sign$(9) = "Cap"
    sign$(10) = "Aqu"
    sign$(11) = "Pis"
    sign$(12) = "Ari"
    
    sign_num% = Fix(z / 30)
    pos_in_sign = z - (sign_num% * 30)
    
    deg% = Fix(pos_in_sign)
    full_min = (pos_in_sign - deg%) * 60
    
    min% = CInt(full_min)
    
    full_sec = (full_min - min%) * 60
    
    If full_sec < 0 Then
        min% = Fix(full_min)
        
        full_sec = (full_min - min%) * 60
    End If
    

    Buffer = Format$(deg%, "00") & " " & sign$(sign_num%) & " " & Format$(min%, "00") & "' " & Format$(full_sec, "00") & Chr$(34)
    
    sign_data$ = Buffer
    
    
    Exit Sub
    
    
    Call Convert360toDM

    Buffer = Buffer & Format$(Z1, "00") & " " & Mid$(SX1$, q * 3 - 2, 3) & " "
    Buffer = Buffer & Format$(z2, "00")

    sign_data$ = Buffer
End Sub

Function RoundTo2Dec(x)
    RoundTo2Dec = Int(x * 100 + 0.5) / 100
End Function

Sub SetErrorFlagDiurnalData()
   InputErrorFlag% = 1
   MsgBox "Error in diurnal input data section. Please correct.", 64, "Warning!"
End Sub

Sub SetErrorFlagNatalData()
   InputErrorFlag% = 1
   MsgBox "Error in natal input data section. Please correct.", 64, "Warning!"
End Sub

Function Sine(x)
    Sine = sIn(x * 3.1415926535 / 180)
End Function

Function Align7(a7 As String)
    Dim base_spaces%

    base_spaces% = 1

    a7 = Trim(a7)

    If Left$(a7, 3) = "-0," Then
        Align7 = Space(4 + base_spaces%) & a7
    ElseIf Val(a7) >= 100000 Then
        Align7 = Space(base_spaces%) & a7
    ElseIf Val(a7) >= 10000 Then
        Align7 = Space(1 + base_spaces%) & a7
    ElseIf Val(a7) >= 1000 Then
        Align7 = Space(2 + base_spaces%) & a7
    ElseIf Val(a7) >= 100 Then
        Align7 = Space(3 + base_spaces%) & a7
    ElseIf Val(a7) >= 10 Then
        Align7 = Space(4 + base_spaces%) & a7
    ElseIf Val(a7) >= 0 Then
        Align7 = Space(5 + base_spaces%) & a7
    ElseIf Val(a7) > -10 Then
        Align7 = Space(4 + base_spaces%) & a7
    ElseIf Val(a7) > -100 Then
        Align7 = Space(3 + base_spaces%) & a7
    ElseIf Val(a7) > -1000 Then
        Align7 = Space(2 + base_spaces%) & a7
    ElseIf Val(a7) > -10000 Then
        Align7 = Space(1 + base_spaces%) & a7
    ElseIf Val(a7) > -100000 Then
        Align7 = Space(base_spaces%) & a7
    Else
        Align7 = a7
    End If
End Function

Sub GetCalendarDay()
    Dim A$, x$, LW, ITW, KW, IKW, NW, JTW

'convert Julian Day (JD#) to day, month, year format
    LW = Int(JD# + 0.5) + 68569: NW = Int(4 * LW / 146097)
    LW = LW - Int((146097 * NW + 3) / 4)

    ITW = Int(4000 * (LW + 1) / 1461001)

    LW = LW - Int(1461 * ITW / 4) + 31: JTW = Int(80 * LW / 2447)

    KW = LW - Int(2447 * JTW / 80)

    LW = Int(JTW / 11): JTW = JTW + 2 - 12 * LW

    IKW = 100 * (NW - 49) + ITW + LW

'JTW = month, KW = day, IKW = year
    x$ = Str$(JTW): If JTW < 10 Then x$ = "0" + LTrim$(x$)

    A$ = Str$(KW): If KW < 10 Then A$ = "0" + LTrim$(A$)

    x$ = LTrim$(x$): A$ = LTrim$(A$)

    If MyiDate% = 2 Then
        Calendar$ = LTrim$(Right$(Str$(IKW), 4) + "/" + x$ + "/" + A$)
    ElseIf MyiDate% = 1 Then
        Calendar$ = LTrim$(A$ + "/" + x$ + "/" + Right$(Str$(IKW), 4))
    Else
        Calendar$ = LTrim$(x$ + "/" + A$ + "/" + Right$(Str$(IKW), 4))
    End If
End Sub

Function ConvertDecToDM(x)
    ConvertDecToDM = Int(x) + ((x - Int(x)) * 60) / 100
End Function

Sub GetXCaption()
    XCaption$ = "Finding_Lucky_Times - v" & vrs$ & " - "
End Sub

Function Cosine(x)
    Cosine = Cos(x * 3.1415926535 / 180)
End Function

Function CRUNCH(x)
    If x >= 0 Then
        CRUNCH = x - Int(x / 360) * 360
    Else
        CRUNCH = 360 + (x - ((1 + Int(x / 360)) * 360))
    End If
End Function



Public Sub DisplayNames()
'this is what was in Names.frm LOAD_EVENT
    Finding_Lucky_Times!NamesOnFile.Clear

    Close #1

nfl1b:
    If CurrentNamesFile$ = "" Then
        Open DefaultDirectory$ & "\NAMES.FIL" For Input As #1
    Else
        Open CurrentNamesFile$ For Input As #1
    End If

    Finding_Lucky_Times!lblNamesOnFile.Caption = UCase$(ParseFilenameOnly(CurrentNamesFile$))

    Call GetFileNameData
End Sub

