Attribute VB_Name = "Module4"
Option Explicit


Public Sub Get_enter_and_exit_times_and_positions()
    'take the JD info and other info in grid_aspects$() and use it to find enter orb and exit orb date and time
    'then insert the data into the grid in the correct columns
    Dim a1 As Double, a2 As Double, offset_app As Double, offset_sep As Double, t$, x As Double
    Dim longitude_to_find As Double, days_to_move As Double, exact_jd As Double, spd1 As Double, spd2 As Double, spD As Double
    Dim diff_p1_p2 As Double, p1_pos As Double, p2_pos As Double, separation As Double
    Dim asp_idx%, base_longitude As Double, days_forward_back As Single, dir_to_go%, y%
    Dim base_asp_sep As Double, req_separation As Double, req_sep1 As Double, req_sep2 As Double
    Dim flag As Integer
    
    days_forward_back = Val(Finding_Lucky_Times!txtDaysForwardBack.Text)
    
    Grid_form!grdOutput.Redraw = False
    
    offset_app = Val(Finding_Lucky_Times!txtMinutesBeforeExact.Text) / 60
    offset_sep = Val(Finding_Lucky_Times!txtMinutesAfterExact.Text) / 60
    
    For y% = 1 To num_grid_aspects%
        If grid_aspects$(10, y%) = "d" Then
            'declination aspects are only calculated for t. to n. planets and nothing else - no midpoints or t. to n.
            'tn_or_tt_or_tnak% = 0 only
            Call Get_enter_and_exit_times_and_positions_DECL(y%, offset_app, offset_sep)
            
            GoTo next_y
        End If
        
        tn_or_tt_or_tnak% = grid_aspects$(4, y%)            'mp_data(9, p1 - NumberOfPlanets%)

        If tn_or_tt_or_tnak% = 1 Then
            GoSub do_t_to_t
            
            GoTo next_y
        End If
        
        
        'this is the code for transit to natal aspects
        spd1 = grid_aspects$(7, y%)
        
        p1 = grid_aspects$(0, y%)
        p2 = grid_aspects$(2, y%)
        
        p1_pos = grid_aspects$(5, y%)
        p2_pos = grid_aspects$(6, y%)
        
        diff_p1_p2 = Abs(p1_pos - p2_pos)
        
        
        'instead of using the base angle, let's just get the base longitude we actually want to find - this is the integer part
        'of the transit planet and the fractional part of the natal planet
        base_longitude = Fix(p1_pos) + (p2_pos - Fix(p2_pos))
        
        exact_jd = grid_aspects$(9, y%)
        
        jd_increment = 1440                                              'every day is good enough
            
        If p1 > NumberOfPlanets% Then
            If mp_data(5, p1 - NumberOfPlanets%) = "c" Or mp_data(6, p1 - NumberOfPlanets%) = "c" Then
                jd_increment = 1440 / 52        '(23.2258 * 2)      'to get same ratio as fastest Moon travel
            ElseIf mp_data(5, p1 - NumberOfPlanets%) = "p" Or mp_data(6, p1 - NumberOfPlanets%) = "p" Then
                jd_increment = 1440 / 52        '(23.2258 * 2)      'to get same ratio as fastest Moon travel
            ElseIf mp_data(5, p1 - NumberOfPlanets%) = "l" Or mp_data(6, p1 - NumberOfPlanets%) = "l" Then
                jd_increment = 1440 / 52        '(23.2258 * 2)      'to get same ratio as fastest Moon travel
            'ElseIf mp_data(5, p1 - NumberOfPlanets%) = "lm" Or mp_data(6, p1 - NumberOfPlanets%) = "lm" Then
            '    jd_increment = 1440 / 52        '(23.2258 * 2)      'to get same ratio as fastest Moon travel
            End If
        Else
            If pl_type$(p1) = "c" Or pl_type$(p1) = "p" Or pl_type$(p1) = "l" Then
                jd_increment = 1440 / 52        '(23.2258 * 2)      'to get same ratio as fastest Moon travel
            End If
        End If
            
        If tn_or_tt_or_tnak% = 2 Then
            jd_increment = 1440 / 104
        Else
            If pl_type$(p2) = "c" Or pl_type$(p2) = "p" Or pl_type$(p2) = "l" Then
                jd_increment = 1440 / 52        '(23.2258 * 2)      'to get same ratio as fastest Moon travel
            End If
        End If
            
        jd_increment = jd_increment / 1440                            'fraction of a Julian Day
        
        'tn_or_tt_or_tnak% = 0
        
        
        'now adjust this base_longitude by the offset_app/offset_sep to get the actual longitude we need
        'do applying towards exact
        If spd1 >= 0 Then
            If p1_pos < p2_pos And diff_p1_p2 >= 180 Then
                longitude_to_find = base_longitude - offset_app
            ElseIf p1_pos < p2_pos And diff_p1_p2 < 180 Then
                longitude_to_find = base_longitude - offset_app
            ElseIf p1_pos >= p2_pos And diff_p1_p2 >= 180 Then
                longitude_to_find = base_longitude - offset_app
            ElseIf p1_pos >= p2_pos And diff_p1_p2 < 180 Then
                longitude_to_find = base_longitude - offset_app
            End If
        ElseIf spd1 < 0 Then
            If p1_pos < p2_pos And diff_p1_p2 >= 180 Then
                longitude_to_find = base_longitude + offset_app
            ElseIf p1_pos < p2_pos And diff_p1_p2 < 180 Then
                longitude_to_find = base_longitude + offset_app
            ElseIf p1_pos >= p2_pos And diff_p1_p2 >= 180 Then
                longitude_to_find = base_longitude + offset_app
            ElseIf p1_pos >= p2_pos And diff_p1_p2 < 180 Then
                longitude_to_find = base_longitude + offset_app
            End If
        End If
        
        'find when t. planet enters the specified orb - but only look back 2 days
        a1 = exact_jd - days_forward_back
        a2 = exact_jd
        
        If spd1 = 0 And tn_or_tt_or_tnak% <> 2 And tn_or_tt_or_tnak% <> 3 And tn_or_tt_or_tnak% <> 4 Then
            a1 = exact_jd - (6 / 1440)
            a2 = exact_jd
        End If
        
        For x = a2 To a1 Step -jd_increment
            Call SecantMethod_specific_longitude(x - jd_increment, x, 0.00000035, 100, longitude_to_find)

            If Result_JD >= x - jd_increment And Result_JD <= x Then
                Call ConvertJDtoDateandTime(Result_JD)
                        
                'enter data into grid
                Grid_form!grdOutput.row = y%
                Grid_form!grdOutput.col = 11
                Grid_form!grdOutput.Text = JDDate$ & " " & JDTime$
                
                Exit For
            End If
        Next x
        
        
        'do separation from exact
        If spd1 >= 0 Then
            If p1_pos < p2_pos And diff_p1_p2 >= 180 Then
                longitude_to_find = base_longitude + offset_sep
            ElseIf p1_pos < p2_pos And diff_p1_p2 < 180 Then
                longitude_to_find = base_longitude + offset_sep
            ElseIf p1_pos >= p2_pos And diff_p1_p2 >= 180 Then
                longitude_to_find = base_longitude + offset_sep
            ElseIf p1_pos >= p2_pos And diff_p1_p2 < 180 Then
                longitude_to_find = base_longitude + offset_sep
            End If
        ElseIf spd1 < 0 Then
            If p1_pos < p2_pos And diff_p1_p2 >= 180 Then
                longitude_to_find = base_longitude - offset_sep
            ElseIf p1_pos < p2_pos And diff_p1_p2 < 180 Then
                longitude_to_find = base_longitude - offset_sep
            ElseIf p1_pos >= p2_pos And diff_p1_p2 >= 180 Then
                longitude_to_find = base_longitude - offset_sep
            ElseIf p1_pos >= p2_pos And diff_p1_p2 < 180 Then
                longitude_to_find = base_longitude - offset_sep
            End If
        End If
        
        'find when t. planet enters the specified orb - but only look ahead 2 days
        a1 = exact_jd
        a2 = exact_jd + days_forward_back
        
        If spd1 = 0 And tn_or_tt_or_tnak% <> 2 And tn_or_tt_or_tnak% <> 3 And tn_or_tt_or_tnak% <> 4 Then
            a1 = exact_jd
            a2 = exact_jd + (6 / 1440)
        End If
        
        For x = a1 To a2 + 2 Step jd_increment
            Call SecantMethod_specific_longitude(x, x + jd_increment, 0.00000035, 100, longitude_to_find)

            If Result_JD >= x And Result_JD <= x + jd_increment Then
                Call ConvertJDtoDateandTime(Result_JD)
                        
                'enter data into grid
                Grid_form!grdOutput.row = y%
                Grid_form!grdOutput.col = 13
                Grid_form!grdOutput.Text = JDDate$ & " " & JDTime$
                
                Exit For
            End If
        Next x
next_y:
    Next y%
    
    Grid_form!grdOutput.Redraw = True
    
    Exit Sub
    
    
do_t_to_t:
    'this is the code for transit to transit aspects
    spd1 = grid_aspects$(7, y%)
    spd2 = grid_aspects$(8, y%)
    
    spD = spd1 - spd2
    
'    If spD <> 0 Then
'        days_to_move = offset_app / spD        'roughly how many days it will take this t. planet to cover the distance for applying
        
'        If Abs(days_to_move) > num_days_for_aspectarian% + 3 Then GoTo next_y    'this planet is too slow to calculate
'    End If
        
                
    p1 = grid_aspects$(0, y%)
    p2 = grid_aspects$(2, y%)
        
    p1_pos = grid_aspects$(5, y%)
    p2_pos = grid_aspects$(6, y%)
        
    diff_p1_p2 = Abs(p1_pos - p2_pos)
        
        
    'find the separation between the two planets instead of using the base angle, let's just get the base longitude we actually want to find - this is the integer part
    'of the transit planet and the fractional part of the natal planet
    asp_idx% = grid_aspects$(1, y%)
    
    base_asp_sep = Finding_Lucky_Times!chkAspects(asp_idx%).Caption

    exact_jd = grid_aspects$(9, y%)

    jd_increment = 1440                                              'every day is good enough
            
    If pl_type$(p1) = "c" Or pl_type$(p1) = "p" Or pl_type$(p1) = "l" Then
        jd_increment = 1440 / 52        '(23.2258 * 2)      'to get same ratio as fastest Moon travel
    End If
            
    If pl_type$(p2) = "c" Or pl_type$(p2) = "p" Or pl_type$(p2) = "l" Then
        jd_increment = 1440 / 52        '(23.2258 * 2)      'to get same ratio as fastest Moon travel
    End If
            
    jd_increment = jd_increment / 1440                            'fraction of a Julian Day
        
        
    'now adjust this base_asp_sep by the offset_app/offset_sep to get the actual longitude we need
    'do applying towards exact
    If spD >= 0 Then
        If p1_pos < p2_pos And diff_p1_p2 >= 180 Then
            req_sep1 = base_asp_sep - (offset_app * Sgn(spD))
            req_sep2 = base_asp_sep + (offset_app * Sgn(spD))
        ElseIf p1_pos < p2_pos And diff_p1_p2 < 180 Then
            req_sep1 = base_asp_sep + (offset_app * Sgn(spD))
            req_sep2 = base_asp_sep - (offset_app * Sgn(spD))
        ElseIf p1_pos >= p2_pos And diff_p1_p2 >= 180 Then
            req_sep1 = base_asp_sep + (offset_app * Sgn(spD))
            req_sep2 = base_asp_sep - (offset_app * Sgn(spD))
        ElseIf p1_pos >= p2_pos And diff_p1_p2 < 180 Then
            req_sep1 = base_asp_sep - (offset_app * Sgn(spD))
            req_sep2 = base_asp_sep + (offset_app * Sgn(spD))
        End If
    Else
        If p1_pos < p2_pos And diff_p1_p2 >= 180 Then
            req_sep1 = base_asp_sep - (offset_app * Sgn(spD))
            req_sep2 = base_asp_sep + (offset_app * Sgn(spD))
        ElseIf p1_pos < p2_pos And diff_p1_p2 < 180 Then
            req_sep1 = base_asp_sep + (offset_app * Sgn(spD))
            req_sep2 = base_asp_sep - (offset_app * Sgn(spD))
        ElseIf p1_pos >= p2_pos And diff_p1_p2 >= 180 Then
            req_sep1 = base_asp_sep + (offset_app * Sgn(spD))
            req_sep2 = base_asp_sep - (offset_app * Sgn(spD))
        ElseIf p1_pos >= p2_pos And diff_p1_p2 < 180 Then
            req_sep1 = base_asp_sep - (offset_app * Sgn(spD))
            req_sep2 = base_asp_sep + (offset_app * Sgn(spD))
        End If
    End If
        
    
    If base_asp_sep = 0 Then req_sep1 = Abs(req_sep1): req_sep2 = Abs(req_sep2)    'to protect against a negative separation for conjunctions
    
    
    'find when t. planet enters the specified orb - but only look back 2 days
    days_to_move = days_forward_back
        
    If spD = 0 Then spD = 0.5
    
    days_to_move = Int((offset_app / (0.9 * Abs(spD))) + 0.5) + 1
        
    a1 = exact_jd - days_to_move
    a2 = exact_jd
        
    flag = 0                'set flag for 180 deg aspect monitoring
    
    req_separation = req_sep1
        
'FOR DEBUG
'jd_increment = 1            '0.125 / 8
'req_separation = 9.32 / 60

run_again_1:
    For x = a2 To a1 Step -jd_increment
        Call SecantMethod_transit_to_transit(x, x - jd_increment, 0.000007, 100, asp_idx%, req_separation)

        If Result_JD >= x - jd_increment And Result_JD <= x Then
            Call ConvertJDtoDateandTime(Result_JD)
                        
            'enter data into grid
            Grid_form!grdOutput.row = y%
            Grid_form!grdOutput.col = 11
            Grid_form!grdOutput.Text = JDDate$ & " " & JDTime$
            
            flag = 2
                
            Exit For
        End If
    Next x
        
    
    'check 180-deg aspect and state of flag
    'If base_asp_sep = 180 Then
        If flag = 2 Then GoTo run_next
        
        If flag = 0 Then req_separation = req_sep2
        
        flag = flag + 1
        
        GoTo run_again_1
    'End If
    
    
    'do separation from exact
run_next:
    If spD >= 0 Then
        If p1_pos < p2_pos And diff_p1_p2 >= 180 Then
            req_sep1 = base_asp_sep + (offset_sep * Sgn(spD))
            req_sep2 = base_asp_sep - (offset_sep * Sgn(spD))
        ElseIf p1_pos < p2_pos And diff_p1_p2 < 180 Then
            req_sep1 = base_asp_sep - (offset_sep * Sgn(spD))
            req_sep2 = base_asp_sep + (offset_sep * Sgn(spD))
        ElseIf p1_pos >= p2_pos And diff_p1_p2 >= 180 Then
            req_sep1 = base_asp_sep - (offset_sep * Sgn(spD))
            req_sep2 = base_asp_sep + (offset_sep * Sgn(spD))
        ElseIf p1_pos >= p2_pos And diff_p1_p2 < 180 Then
            req_sep1 = base_asp_sep + (offset_sep * Sgn(spD))
            req_sep2 = base_asp_sep - (offset_sep * Sgn(spD))
        End If
    Else
        If p1_pos < p2_pos And diff_p1_p2 >= 180 Then
            req_sep1 = base_asp_sep + (offset_sep * Sgn(spD))
            req_sep2 = base_asp_sep - (offset_sep * Sgn(spD))
        ElseIf p1_pos < p2_pos And diff_p1_p2 < 180 Then
            req_sep1 = base_asp_sep - (offset_sep * Sgn(spD))
            req_sep2 = base_asp_sep + (offset_sep * Sgn(spD))
        ElseIf p1_pos >= p2_pos And diff_p1_p2 >= 180 Then
            req_sep1 = base_asp_sep - (offset_sep * Sgn(spD))
            req_sep2 = base_asp_sep + (offset_sep * Sgn(spD))
        ElseIf p1_pos >= p2_pos And diff_p1_p2 < 180 Then
            req_sep1 = base_asp_sep + (offset_sep * Sgn(spD))
            req_sep2 = base_asp_sep - (offset_sep * Sgn(spD))
        End If
    End If
    
    
    If base_asp_sep = 0 Then req_sep1 = Abs(req_sep1): req_sep2 = Abs(req_sep2)    'to protect against a negative separation for conjunctions
    
    
    'find when t. planet enters the specified orb - but only look ahead 2 days
    days_to_move = days_forward_back
        
    days_to_move = Int((offset_sep / (0.9 * Abs(spD))) + 0.5) + 1
    
    a1 = exact_jd
    a2 = exact_jd + days_to_move
        
    flag = 0                'set flag for 180 deg aspect monitoring
    
    req_separation = req_sep1
        
run_again_2:
    For x = a1 To a2 + 2 Step jd_increment
        Call SecantMethod_transit_to_transit(x, x + jd_increment, 0.000007, 100, asp_idx%, req_separation)

        If Result_JD >= x And Result_JD <= x + jd_increment Then
            Call ConvertJDtoDateandTime(Result_JD)
                        
            'enter data into grid
            Grid_form!grdOutput.row = y%
            Grid_form!grdOutput.col = 13
            Grid_form!grdOutput.Text = JDDate$ & " " & JDTime$
            
            flag = 2
                
            Exit For
        End If
    Next x

    'check 180-deg aspect and state of flag
    'If base_asp_sep = 120 Then
        If flag = 2 Then Return
        
        If flag = 0 Then req_separation = req_sep2
        
        flag = flag + 1
        
        GoTo run_again_2
    'End If
    
    Return
End Sub
