Attribute VB_Name = "Module5"
Option Explicit


Public Sub Fetch_midpoint_data_t_to_n()
    Dim idx1%, idx2%, t$, t1$, t2$, x%, y%
    
    Close #1
    
    If Not FileExists(mpn_filename$) Then Exit Sub
    
    Open mpn_filename$ For Input As #1

    num_t_to_n_midpoints% = 1
    ReDim Preserve mp_data(0 To 9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + 1)
    
    Do While Not EOF(1)
        Line Input #1, t$
        
        y% = InStr(t$, "/")
        
        If y% > 0 Then
            t1$ = Left$(t$, y% - 1)
            t2$ = Mid$(t$, y% + 1)
            
            'now find the index number for the first planet
            idx1% = Get_this_planets_index(t1$)
            
            idx2% = Get_this_planets_index(t2$)
            
            If idx1% > 0 And idx2% > 0 Then
                mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = t$
                mp_data(1, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = t1$
                mp_data(2, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = t2$
                mp_data(3, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = pl_ephem_number(idx1%)
                mp_data(4, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = pl_ephem_number(idx2%)
                mp_data(5, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = pl_type$(idx1%)
                mp_data(6, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = pl_type$(idx2%)
                mp_data(7, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = idx1%
                mp_data(8, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = idx2%
                mp_data(9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%) = 0
                
                num_t_to_n_midpoints% = num_t_to_n_midpoints% + 1
                ReDim Preserve mp_data(0 To 9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints%)
                
                'I also have to add this info to the usual arrays for non-midpoint data - so text and grids are correct
                ReDim Preserve planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1)
                ReDim Preserve pl_ephem_number(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1)
                ReDim Preserve pl_idx_number(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1)
                ReDim Preserve pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1)
                ReDim Preserve pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1)
                
                planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1) = mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1)
                pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1) = UCase$(mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1))
                pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% - 1) = "mp"
            End If
        End If
    Loop

    num_t_to_n_midpoints% = num_t_to_n_midpoints% - 1
    
    Close #1
End Sub

Public Sub Fetch_midpoint_data_t_to_t()
    Dim idx1%, idx2%, t$, t1$, t2$, x%, y%
    
    Close #1
    
    If Not FileExists(mpt_filename$) Then Exit Sub
    
    Open mpt_filename$ For Input As #1

    num_t_to_t_midpoints% = 1
    ReDim Preserve mp_data(0 To 9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + 1)
    
    Do While Not EOF(1)
        Line Input #1, t$
        
        y% = InStr(t$, "/")
        
        If y% > 0 Then
            t1$ = Left$(t$, y% - 1)
            t2$ = Mid$(t$, y% + 1)
            
            'now find the index number for the first planet
            idx1% = Get_this_planets_index(t1$)
            
            idx2% = Get_this_planets_index(t2$)
            
            If idx1% > 0 And idx2% > 0 Then
                mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = t$
                mp_data(1, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = t1$
                mp_data(2, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = t2$
                mp_data(3, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = pl_ephem_number(idx1%)
                mp_data(4, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = pl_ephem_number(idx2%)
                mp_data(5, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = pl_type$(idx1%)
                mp_data(6, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = pl_type$(idx2%)
                mp_data(7, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = idx1%
                mp_data(8, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = idx2%
                mp_data(9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%) = 1
                
                num_t_to_t_midpoints% = num_t_to_t_midpoints% + 1
                ReDim Preserve mp_data(0 To 9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints%)
                
                'I also have to add this info to the usual arrays for non-midpoint data - so text and grids are correct
                ReDim Preserve planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1)
                ReDim Preserve pl_ephem_number(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1)
                ReDim Preserve pl_idx_number(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1)
                ReDim Preserve pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1)
                ReDim Preserve pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1)
                
                planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1) = mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1)
                pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1) = UCase$(mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1))
                pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% - 1) = "mp"
            End If
        End If
    Loop

    num_t_to_t_midpoints% = num_t_to_t_midpoints% - 1
    
    Close #1
End Sub


Sub Get_mpn_file_filename(load_save%)
    Dim t$

    cancel_flag% = 0

    Finding_Lucky_Times!DLog.CancelError = True
    Finding_Lucky_Times!DLog.DefaultExt = "mpn"

    If mpn_path$ = "" Then
        Finding_Lucky_Times!DLog.InitDir = App.Path
    Else
        Finding_Lucky_Times!DLog.InitDir = mpn_path$
    End If

    Finding_Lucky_Times!DLog.filename = mpn_filename$

    Finding_Lucky_Times!DLog.Filter = "Midpoint Files - transit to natal (*.mpn) | *.mpn"
    Finding_Lucky_Times!DLog.FilterIndex = 1
    Finding_Lucky_Times!DLog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST

    On Error GoTo PVC33f

    If load_save% = 0 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Load .mpn transit to natal midpoints file"
        Finding_Lucky_Times!DLog.Action = 1
    ElseIf load_save% = 1 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Save .mpn transit to natal midpoints file"
        Finding_Lucky_Times!DLog.Action = 2
    End If

    mpn_filename$ = Finding_Lucky_Times!DLog.filename
    On Error GoTo 0

    t$ = ParseFilenameOnly(mpn_filename$)
    mpn_path$ = ParsedPathName$

PVC44f:
    Exit Sub

PVC33f:
    If Err = 32755 Then cancel_flag% = 1             'Cancel was selected

    Resume PVC44f
End Sub

Sub Get_nmp_file_filename(load_save%)
    Dim t$

    cancel_flag% = 0

    Finding_Lucky_Times!DLog.CancelError = True
    Finding_Lucky_Times!DLog.DefaultExt = "nmp"

    If nmp_path$ = "" Then
        Finding_Lucky_Times!DLog.InitDir = App.Path
    Else
        Finding_Lucky_Times!DLog.InitDir = nmp_path$
    End If

    Finding_Lucky_Times!DLog.filename = nmp_filename$

    Finding_Lucky_Times!DLog.Filter = "Natal Midpoint Files (*.nmp) | *.nmp"
    Finding_Lucky_Times!DLog.FilterIndex = 1
    Finding_Lucky_Times!DLog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST

    On Error GoTo PVC33f

    If load_save% = 0 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Load .nmp transit to natal midpoints file"
        Finding_Lucky_Times!DLog.Action = 1
    ElseIf load_save% = 1 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Save .nmp transit to natal midpoints file"
        Finding_Lucky_Times!DLog.Action = 2
    End If

    nmp_filename$ = Finding_Lucky_Times!DLog.filename
    On Error GoTo 0

    t$ = ParseFilenameOnly(nmp_filename$)
    nmp_path$ = ParsedPathName$

PVC44f:
    Exit Sub

PVC33f:
    If Err = 32755 Then cancel_flag% = 1             'Cancel was selected

    Resume PVC44f
End Sub


Sub Get_mpt_file_filename(load_save%)
    Dim t$

    cancel_flag% = 0

    Finding_Lucky_Times!DLog.CancelError = True
    Finding_Lucky_Times!DLog.DefaultExt = "mpt"

    If mpt_path$ = "" Then
        Finding_Lucky_Times!DLog.InitDir = App.Path
    Else
        Finding_Lucky_Times!DLog.InitDir = mpt_path$
    End If

    Finding_Lucky_Times!DLog.filename = mpt_filename$

    Finding_Lucky_Times!DLog.Filter = "Midpoint Files - transit to transit (*.mpt) | *.mpt"
    Finding_Lucky_Times!DLog.FilterIndex = 1
    Finding_Lucky_Times!DLog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST

    On Error GoTo PVC33f

    If load_save% = 0 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Load .mpt transit to transit midpoints file"
        Finding_Lucky_Times!DLog.Action = 1
    ElseIf load_save% = 1 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Save .mpt transit to transit midpoints file"
        Finding_Lucky_Times!DLog.Action = 2
    End If

    mpt_filename$ = Finding_Lucky_Times!DLog.filename
    On Error GoTo 0

    t$ = ParseFilenameOnly(mpt_filename$)
    mpt_path$ = ParsedPathName$

PVC44f:
    Exit Sub

PVC33f:
    If Err = 32755 Then cancel_flag% = 1             'Cancel was selected

    Resume PVC44f
End Sub


Public Function Get_this_planets_index(t$) As Integer
    Dim x%
    
    For x% = 1 To NumberOfPlanets%
        If t$ = planet_names(x%) Then
            Get_this_planets_index = x%
            
            Exit Function
        End If
    Next x%
    
    Get_this_planets_index = -1
End Function

Public Sub Fetch_midpoint_data_transits_to_nmp()
    Dim idx1%, idx2%, t$, t1$, t2$, x%, y%
    
    Close #1
    
    If Not FileExists(nmp_filename$) Then Exit Sub
    
    Open nmp_filename$ For Input As #1

    num_natal_midpoints% = 1
    ReDim Preserve mp_data(0 To 9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + 1)
    
    Do While Not EOF(1)
        Line Input #1, t$
        
        y% = InStr(t$, "/")
        
        If y% > 0 Then
            t1$ = Left$(t$, y% - 1)
            t2$ = Mid$(t$, y% + 1)
            
            'now find the index number for the first planet
            idx1% = Get_this_planets_index(t1$)
            
            idx2% = Get_this_planets_index(t2$)
            
            If idx1% > 0 And idx2% > 0 Then
                mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = t$
                mp_data(1, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = t1$
                mp_data(2, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = t2$
                mp_data(3, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = pl_ephem_number(idx1%)
                mp_data(4, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = pl_ephem_number(idx2%)
                mp_data(5, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = pl_type$(idx1%)
                mp_data(6, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = pl_type$(idx2%)
                mp_data(7, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = idx1%
                mp_data(8, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = idx2%
                mp_data(9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%) = 5
                
                num_natal_midpoints% = num_natal_midpoints% + 1
                ReDim Preserve mp_data(0 To 9, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints%)
                
                'I also have to add this info to the usual arrays for non-midpoint data - so text and grids are correct
                ReDim Preserve planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1)
                ReDim Preserve pl_ephem_number(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1)
                ReDim Preserve pl_idx_number(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1)
                ReDim Preserve pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1)
                ReDim Preserve pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1)
                
                planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1) = mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1)
                pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1) = UCase$(mp_data(0, num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1))
                pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% + num_auspicious_points% + num_lunar_mansions% + num_t_to_n_midpoints% + num_t_to_t_midpoints% + num_natal_midpoints% - 1) = "nmp"
            End If
        End If
    Loop

    num_natal_midpoints% = num_natal_midpoints% - 1
    
    Close #1
End Sub
