Attribute VB_Name = "Module9"
Option Explicit

Public Sub Fetch_t_deg_to_n_deg_data()
    Dim t2n_num2%, t$, t1$, t2$, x%, y%
    
    Close #1
    
    If Not FileExists(td_to_n_deg_filename$) Then Exit Sub
    
    Open td_to_n_deg_filename$ For Input As #1

    ReDim mp_data(0 To 9, 1)
    num_t_deg_to_n_deg% = 1
    
    Do While Not EOF(1)
        Line Input #1, t$
        
        y% = InStr(t$, "/")
        
        If y% > 0 Then
            t1$ = Left$(t$, y% - 1)
            t2$ = Mid$(t$, y% + 1)               'this is the zodiac degree in the natal chart that we are trying to line up with the transit degree
            
            'now find the transit degree we want to search for - must be an integer
            t2n_num2% = Right$(t1$, 3)
            
            If t2n_num2% >= 0 And Val(t2$) > 0 Then
                mp_data(0, num_t_deg_to_n_deg%) = t1$           'was just t$
                mp_data(1, num_t_deg_to_n_deg%) = t1$
                mp_data(2, num_t_deg_to_n_deg%) = t2$
                mp_data(3, num_t_deg_to_n_deg%) = t2n_num2%      'the actual tramsit degree we are searching for
                mp_data(4, num_t_deg_to_n_deg%) = t2$                  'pl_ephem_number(idx2%)
                mp_data(5, num_t_deg_to_n_deg%) = "tn"
                mp_data(6, num_t_deg_to_n_deg%) = "c"                    'pl_type$(idx2%)
                mp_data(7, num_t_deg_to_n_deg%) = t2n_num2%       'this could be 0 to 359
                mp_data(8, num_t_deg_to_n_deg%) = t2$                   'idx2%             'this is the actual zodiac natal longitude desired
                mp_data(9, num_t_deg_to_n_deg%) = 2                      '2 denotes t. deg to n. deg
                
                num_t_deg_to_n_deg% = num_t_deg_to_n_deg% + 1
                ReDim Preserve mp_data(0 To 9, num_t_deg_to_n_deg%)
                
                'I also have to add this info to the usual arrays for non-midpoint data - so text and grids are correct
                ReDim Preserve planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% - 1)
                ReDim Preserve pl_ephem_number(NumberOfPlanets% + num_t_deg_to_n_deg% - 1)
                ReDim Preserve pl_idx_number(NumberOfPlanets% + num_t_deg_to_n_deg% - 1)
                ReDim Preserve pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% - 1)
                ReDim Preserve pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% - 1)
                
                planet_names(NumberOfPlanets% + num_t_deg_to_n_deg% - 1) = mp_data(0, num_t_deg_to_n_deg% - 1)
                pl_name$(NumberOfPlanets% + num_t_deg_to_n_deg% - 1) = UCase$(mp_data(0, num_t_deg_to_n_deg% - 1))
                pl_type$(NumberOfPlanets% + num_t_deg_to_n_deg% - 1) = "ap"
            End If
        End If
    Loop

    num_t_deg_to_n_deg% = num_t_deg_to_n_deg% - 1
    
    Close #1
End Sub


Sub Get_td2nd_file_filename(load_save%)
    Dim t$

    cancel_flag% = 0

    Finding_Lucky_Times!DLog.CancelError = True
    Finding_Lucky_Times!DLog.DefaultExt = "apt"

    If td_to_n_deg_path$ = "" Then
        Finding_Lucky_Times!DLog.InitDir = App.Path
    Else
        Finding_Lucky_Times!DLog.InitDir = td_to_n_deg_path$
    End If

    Finding_Lucky_Times!DLog.filename = td_to_n_deg_filename$

    Finding_Lucky_Times!DLog.Filter = "Auspicious points Files (*.t2n) | *.t2n"
    Finding_Lucky_Times!DLog.FilterIndex = 1
    Finding_Lucky_Times!DLog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST

    On Error GoTo PVC33f

    If load_save% = 0 Then
        Finding_Lucky_Times!DLog.DialogTitle = "Load .t2n transit to transit deg to natal deg file"
        Finding_Lucky_Times!DLog.Action = 1
    Else
        Finding_Lucky_Times!DLog.DialogTitle = "Save .t2n transit to transit deg to natal deg file"
        Finding_Lucky_Times!DLog.Action = 2
    End If

    td_to_n_deg_filename$ = Finding_Lucky_Times!DLog.filename
    On Error GoTo 0

    t$ = ParseFilenameOnly(td_to_n_deg_filename$)
    td_to_n_deg_path$ = ParsedPathName$

PVC44f:
    Exit Sub

PVC33f:
    If Err = 32755 Then cancel_flag% = 1             'Cancel was selected

    Resume PVC44f
End Sub



